Last Comment Bug 837489 - Intermittent display corruption (black or white squares) mainly with AMD Catalyst
: Intermittent display corruption (black or white squares) mainly with AMD Cata...
Status: NEW
[platform-rel-AMD]
: common-issue+
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 18 Branch
: All Windows 7
: -- normal with 29 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Milan Sreckovic [:milan]
Mentors:
http://www.facebook.com
: 837524 837579 838067 849848 859501 871227 871393 910656 919098 (view as bug list)
Depends on:
Blocks: 849507
  Show dependency treegraph
 
Reported: 2013-02-03 06:46 PST by Robert Pendell
Modified: 2016-10-14 12:14 PDT (History)
70 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
?


Attachments
Display corruption on facebook.com (431.11 KB, image/png)
2013-02-03 06:46 PST, Robert Pendell
no flags Details
artifacts (158.96 KB, image/jpeg)
2013-02-04 00:10 PST, wojtekka
no flags Details
White box corruption on address bar in older build (found during regression testing) (36.89 KB, image/png)
2013-02-04 08:24 PST, Robert Pendell
no flags Details
Video (2.00 MB, application/octet-stream)
2013-02-21 11:23 PST, SpeciesX
no flags Details
Corruption as it appears in Firefox for me. (82.76 KB, image/png)
2013-03-03 10:00 PST, Gary [:streetwolf]
no flags Details
screenshot (136.53 KB, image/jpeg)
2013-03-03 13:09 PST, CAL
no flags Details
WebGL Conformance Test Runner (24.40 KB, text/plain)
2013-03-04 12:11 PST, Gary [:streetwolf]
no flags Details
"Font corruption" seen in W7 (best I could do after reinstalling FF19.0.1) (17.76 KB, image/png)
2013-03-07 12:23 PST, Vitor Cunha
no flags Details
UI corruption (294.05 KB, image/png)
2013-03-11 20:09 PDT, Robert Pendell
no flags Details
Occasional slow UI draw (116.09 KB, image/png)
2013-03-16 18:53 PDT, Robert Pendell
no flags Details
Display corruption on "every side! Firefox 19.0.2 and Radeon HD 4850. Legacy driver 13.1. Only with hardware acceleration enabled. (96.77 KB, image/jpeg)
2013-03-20 05:22 PDT, Ives Bardiau
no flags Details
Display corruption (56.21 KB, image/png)
2013-04-16 05:29 PDT, Gary [:streetwolf]
no flags Details
Corruption on 7850@13.4 WHQL on Win8x64 (85.79 KB, image/png)
2013-05-14 12:32 PDT, boomman37
no flags Details
Still graphics corruption on 13.6b2 (187.06 KB, image/png)
2013-06-12 06:03 PDT, dgjunk
no flags Details
Complete Site Warped (612.11 KB, image/png)
2013-10-09 10:54 PDT, hrlod
hrlod: feedback+
Details
Similar graphical corruption as seen on Steam (11.77 KB, image/png)
2014-02-23 14:48 PST, Terence Tan
no flags Details
I hate them blocks! (23.92 KB, image/png)
2014-03-23 11:55 PDT, Geoman
no flags Details
More Big Blocks (192.23 KB, image/jpeg)
2014-04-14 11:47 PDT, Justin Miller
no flags Details

Description Robert Pendell 2013-02-03 06:46:08 PST
Created attachment 709470 [details]
Display corruption on facebook.com

User Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:18.0) Gecko/20100101 Firefox/18.0
Build ID: 20130116073211

Steps to reproduce:

Visit Facebook.com and enable the sidebar.  This is done by opening the chat window.  Note that it must be locked on the right and actually show the activity feed as well.  If it doesn't then the browser isn't wide enough.

Issue only reproduces when the browser is full screen.


Actual results:

Display corruption happens up and down the sidebar


Expected results:

It shouldn't have this display corruption and display normally.
Comment 1 Robert Pendell 2013-02-03 06:48:19 PST
Platform: Windows 8 x64
Video Card: AMD 7970m (13.1 WHQL and 13.2 Beta 4)
Workaround: Disable video acceleration
Comment 2 Loic 2013-02-03 10:15:17 PST
Attach the "graphics" section from about:support, please.
Comment 3 Robert Pendell 2013-02-03 10:18:28 PST
Here you go...

  Graphics

        Adapter Description
        AMD Radeon HD 7970M

        Adapter Drivers
        aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64

        Adapter RAM
        2048

        Device ID
        0x6800

        Direct2D Enabled
        true

        DirectWrite Enabled
        true (6.2.9200.16433)

        Driver Date
        1-29-2013

        Driver Version
        12.100.17.0

        GPU #2 Active
        false

        GPU Accelerated Windows
        1/1 Direct3D 10

        Vendor ID
        0x1002

        WebGL Renderer
        Google Inc. -- ANGLE (AMD Radeon HD 7970M)

        AzureCanvasBackend
        direct2d

        AzureContentBackend
        direct2d

        AzureFallbackCanvasBackend
        cairo
Comment 4 Loic 2013-02-03 10:32:44 PST
You're not the only one with this issue, some users are meeting the same issue with the latest AMD Catalyst drivers of January.

Are you using AMD Catalyst 13.2 BETA drivers?
If yes, could you downgrade to the latest stable drivers and test, please.
Comment 5 Robert Pendell 2013-02-03 10:38:17 PST
I've tested this on both the current stable WHQL 13.1 and the current beta 13.2 drivers and was able to reproduce this.

The last drivers that did not have this issue was beta 12.11 beta 11.
Comment 6 Alice0775 White 2013-02-03 22:39:27 PST
Maybe duplication of Bug 837579
Comment 7 Loic 2013-02-03 23:56:27 PST
*** Bug 837579 has been marked as a duplicate of this bug. ***
Comment 8 wojtekka 2013-02-04 00:10:52 PST
Created attachment 709617 [details]
artifacts
Comment 9 wojtekka 2013-02-04 00:11:12 PST
I have the same problem. Picture added
Comment 10 Scoobidiver (away) 2013-02-04 01:00:09 PST
If the problem (In reply to Robert Pendell from comment #5)
> The last drivers that did not have this issue was beta 12.11 beta 11.
Either it's a driver bug or a Firefox one highlighted by a fix in drivers.

Does it happen in Nightly (http://nightly.mozilla.org/)?
Comment 11 Matthias Versen [:Matti] 2013-02-04 04:52:19 PST
*** Bug 837524 has been marked as a duplicate of this bug. ***
Comment 12 Robert Pendell 2013-02-04 05:55:40 PST
(In reply to Scoobidiver from comment #10)
> If the problem (In reply to Robert Pendell from comment #5)
> > The last drivers that did not have this issue was beta 12.11 beta 11.
> Either it's a driver bug or a Firefox one highlighted by a fix in drivers.
> 
> Does it happen in Nightly (http://nightly.mozilla.org/)?

I did with the Nightly 21 but it was my own compile on Windows 8.  I'll get the newest nightly sometime today and let you know with the regular builds.  Note that my build didn't really have any special optimization.
Comment 13 Robert Pendell 2013-02-04 06:14:20 PST
Checked with the build from nightly.mozilla.org and I get it a small bit on facebook.com but not nearly as bad as it is on stable 18 releases.
Comment 14 wojtekka 2013-02-04 06:14:39 PST
(In reply to Scoobidiver from comment #10)
> If the problem (In reply to Robert Pendell from comment #5)
> > The last drivers that did not have this issue was beta 12.11 beta 11.
> Either it's a driver bug or a Firefox one highlighted by a fix in drivers.
> 
> Does it happen in Nightly (http://nightly.mozilla.org/)?

For me, Yes. I'm using latest Nigthly build and the issue still present
Comment 15 Scoobidiver (away) 2013-02-04 06:23:51 PST
If it's a regression in Firefox, can you determine the regression range using https://github.com/mozilla/mozregression?
Comment 16 E B 2013-02-04 07:37:08 PST
This bug is not limited to Facebook but affects other sites as well. People with 7xxx series of AMD Ati cards report it. We may need to go back to Catalyst 12.10 as 12.11 may also be affected by it.
Comment 17 Robert Pendell 2013-02-04 08:05:50 PST
(In reply to E B from comment #16)
> This bug is not limited to Facebook but affects other sites as well. People
> with 7xxx series of AMD Ati cards report it. We may need to go back to
> Catalyst 12.10 as 12.11 may also be affected by it.

I specified facebook as it is the consistent reproduction point for me.  I did see it on other website but inconsistently.  For me 12.11 beta 11 never had the issue and I can't go back to 12.10 as those would be incompatible with Windows 8.
Comment 18 Scoobidiver (away) 2013-02-04 08:18:08 PST
We need to know if it's an AMD's issue or a Mozilla's one, so please answer to comment 15.
Comment 19 Robert Pendell 2013-02-04 08:24:53 PST
Created attachment 709735 [details]
White box corruption on address bar in older build (found during regression testing)

Shows white box corruption in the address bar section of the browser.  Hard to get a screenshot of this.  Also saw this in the page in minor amounts on some nightlies(sp?).  This can be easily overlooked and almost missed it one time.
Comment 20 Robert Pendell 2013-02-04 08:26:23 PST
@Scoobidiver I'm working through it now.  Kinda difficult.  I've got a known good marker of 06/01/2012 but I'm having trouble getting the point where it occurred.  If it is a bug in Firefox it has been floating for a long time though.
Comment 21 Loic 2013-02-04 08:49:21 PST
Load Facebook sidebar in each Nightly launched by mozregression if you know a reproducible way to test it.
Comment 22 Robert Pendell 2013-02-04 08:51:11 PST
I did regression check back to 01-01-2012 and was able to reproduce it going that far although depending on the build it didn't show right away and took some work to get it to appear at all.  Do you want me to continue going back?

To be honest if it has been in nightly builds for over a year I really do wonder if something broke in the AMD drivers and is causing this.  Really weird bug though.

Reproduction being used
1) Nav to facebook.com and login (must have an account)
2) Make the window wide enough for the sidebar to show
3) Move your mouse cursor rapidly over that section

Usually within 5 minutes of this you start seeing the display corruption.  On many builds it is minor and takes work to get it to show but on the current stable it shows up horribly.
Comment 23 E B 2013-02-04 10:03:39 PST
To clarify, do we know anyone _not_ using 7xxx series of AMD ATi video cards being able to replicate this bug? Is the bug limited to AMD ATi 7xxx series + Catalyst 12.11, 13.1, 13.2 and then only on Firefox 18.0, 18.0.1 and 18.02RC?
Comment 24 Josh 2013-02-04 14:36:27 PST
I have an AMD ATI 6870 and I've had this issue with past drivers before 12.10 and previous firefox releases.

The 12.10 whql release is the only driver I haven't experienced this issue with.It seems to be triggered when a site uses Flash Player but, can't confirm this.
Comment 25 Scoobidiver (away) 2013-02-05 02:19:47 PST
A user reported in the French support forum (see http://forums.mozfr.org/viewtopic.php?f=5&t=110963&p=719935#p719935) that it happened the first time in Firefox 18 (Firefox 17 not affected) so you should start the tool with the following dates:
mozregression --good=2012-07-16 --bad=2012-08-27
Comment 26 Loic 2013-02-11 09:19:37 PST
Is someone able to run mozregression and find a possible regression range, please?
Comment 27 Robert Pendell 2013-02-17 13:39:05 PST
I'm reproducing it on official 16.0 and 17.0 Firefox builds.  I know that 16.0 goes a bit back there.
Comment 28 Robert Pendell 2013-02-17 13:40:30 PST
An added note.  Windowed mode is not safe on 18.0.  In windowed mode the boxes are just white instead of black so it is harder to notice.
Comment 29 Robert Pendell 2013-02-17 14:24:25 PST
I keep replying to myself...

I know someone asked me to test 12.10 for this issue.  I can confirm that 12.10 WHQL does not have this issue.  Something happened either during 12.11 betas or 13.1 release that causes this issue.  Didn't really come out until 13.1 though.  I've filed another issue report with AMD and this time against 13.1.
Comment 30 SpeciesX 2013-02-18 04:21:42 PST
Maybe duplication of Bug 838067
Comment 31 Scoobidiver (away) 2013-02-18 04:50:29 PST
*** Bug 838067 has been marked as a duplicate of this bug. ***
Comment 32 SpeciesX 2013-02-20 08:48:25 PST
(In reply to Robert Pendell from comment #29)
> I keep replying to myself...
> 
> I know someone asked me to test 12.10 for this issue.  I can confirm that
> 12.10 WHQL does not have this issue.  Something happened either during 12.11
> betas or 13.1 release that causes this issue.  Didn't really come out until
> 13.1 though.  I've filed another issue report with AMD and this time against
> 13.1.

If i remember correct, Catalyst 12.11 was the first driver which had full support for WDDM 1.2.
Comment 33 Robert Pendell 2013-02-20 08:55:06 PST
No.  12.10 was when they started with full support for WDDM 1.2 as it is marked as Windows 8 compatible.  12.11 is when AMD finally started to take full responsibility for their Enduro technology (which resulted in massive improvements on that end) and also "unlinked" the Intel driver from the installer (on laptops with Enduro) so they can be installed and updated independent of each other.

http://support.amd.com/us/kbarticles/Pages/AMDCatalystSoftwareSuiteVersion1210ReleaseNotes.aspx

"For AMD Radeon™ HD 5000, HD 6000 and HD 7000 Series users, Microsoft® has certified today’s AMD Catalyst™ 12.10 release as “compatible with Windows 8.” With this driver, these products offer support for WDDM 1.2..."

Of course I'm not going to paste in the whole thing but there is the reference url for the 12.10 release notes if you need it.
Comment 34 Loic 2013-02-20 08:57:39 PST
Do you know if AMD is aware of the issue?
Comment 35 Robert Pendell 2013-02-20 09:03:24 PST
I've issued reports via their problem report form on both 13.1 and 13.2 beta however I need people with non mobile cards to report it so they can actually acknowledge it for sure.  They tend to look the other way when someone reports something on a mobile card.  I don't know of a contact number to reach them so I can't communicate with them directly.

AMD Problem Report 12.11 Beta: http://www.amdsurveys.com/se.ashx?s=5A1E27D20B2F3F3E

AMD Problem Report 13.1: http://www.amdsurveys.com/se.ashx?s=5A1E27D20B2F3ECF

AMD Problem Report 13.2 Beta: http://www.amdsurveys.com/se.ashx?s=5A1E27D20B2F3F36
Comment 36 Timothy Warren 2013-02-20 09:06:10 PST
I'm using a desktop card with the latest driver, and I see the issue as well.
Comment 37 Robert Pendell 2013-02-20 09:16:19 PST
Can you fill out at least the 13.1 and 13.2 beta problem reports and let them know it is happening it you?  I've done the second step (just thought of it) and sent a tweet to @CatalystCreator to see if they are aware of it and to make them aware of this bug report over here.  I attached my original screenshot for their reference.

https://twitter.com/shinji257/status/304277757867745281
Comment 38 Timothy Warren 2013-02-21 03:36:51 PST
I filled out the problem report with a description of the issue.
Comment 39 Bas Schouten (:bas.schouten) 2013-02-21 05:30:48 PST
Just for the record, my 6970 with 13.1 does -not- reproduce this issue.
Comment 40 E B 2013-02-21 09:35:25 PST
Yes, it appears that majority of reports out there are from AMD ATI HD 7xxx architecture cards. Still present on latest Firefox 19 but I am still not sure how to repeatedly reproduce it as it only shows up sometimes (I don't use Facebook). People who have this problem, can you reproduce this every single time you visit a particular page or it intermittent for you too?
Comment 41 SpeciesX 2013-02-21 11:23:20 PST
Created attachment 716681 [details]
Video



(In reply to E B from comment #40)
> People who have this problem, can you reproduce this every
> single time you visit a particular page or it intermittent for you too?

On some pages it's easy to reproduce this.
http://youtu.be/V579D4x9t1c
Comment 42 Gary [:streetwolf] 2013-02-21 15:57:12 PST
I have a Sapphire HD7970 and get blue squares, black squares, general artifacts, solid blue bar where the navigation bar and toolbar are.  Maximizing or returning to normal mode is good enough to fix the problems for the moment.  Of course restarting Fx also works.  I have yet to find a way to reproduce any of this at will.  It will just happen at least a few times a day for no apparent reason.  Currently I'm on Fx22 and the 13.2 Cats.  Seems the problem appeared with the 12.11 Cats.

No other applications that I run on my machine produces the graphic glitches that Fx does.
Comment 43 Gary [:streetwolf] 2013-02-21 15:59:04 PST
I do not have authority to confirm but believe me and all the others the problem does exist.
Comment 44 Robert Pendell 2013-02-21 16:03:03 PST
I've seen it with certain forks of PuTTY that implemented transparency but I had previously thought it was an application issue (being it really shows itself no where else).

Given everything I've seen this is what I can conclude.

1) It appears to happen on all versions of Firefox to some degree starting at least version 16.  Possibly earlier.

2) It only happens on AMD drivers 12.11 beta, 13.1, and 13.2 beta

3) It appears to potentially only be affecting AMD 7xxx cards.  Both desktop and mobile lines.

Does this seem accurate?

P.S. - I got some names of some contacts on some big-name forums so I'm going to try to post some threads around and get some awareness and maybe flag in a few AMD guys on those forums if I can.
Comment 45 E B 2013-02-21 16:20:19 PST
More or less. And it is not limited to Windows 8. It may go as far back as Catalyst 10. And I regularly update Firefox and I only started seeing it as of Firefox 18, but not 17 or 16 or earlier, which doesn't mean that it doesn't affect earlier versions of Firefox, perhaps Flash version that came around that time or something else is the cuase (I am just guessing).

Either way, here's the big problem with this: for a lot of people it cannot be easily repeatedly reproduced so they think by using a different version of Windows/Catalyst/Firefox that they have resolved the problem. And then only after a while it re-appears.


I have gone to the site previous poster posted the youtube video of and could not reproduce doing exactly what was shown in the video, but I do know for a fact that I have the problem sometimes, I just had it earlier today, but cannot reliably repeatedly reproduce it. When I caught it with screen shots it was exactly as everyone describes it.

The frequency of the problem appearing is definitely affected by using different versions of Catalyst for example. Much more frequent on Catalyst 13.1. When I reimaged back to when I had Catalyst 12.10 I thought I solved the problem and it took much longer to appear but then it still did sometimes. Is it related to Firefox version or perhaps Flash version? 


If you see anyone thinking they have found out that the problem goes away by installing a certain older version of Catalyst or Firefox, I would ask them, have you been problem free for several days regular use? Because people don't see it for a while and think that the problem is not there but then it appears again...
Comment 46 Gary [:streetwolf] 2013-02-21 16:44:04 PST
Example of display corruption I usually have:

http://imageshack.us/photo/my-images/339/59516038.png/
Comment 47 Robert Pendell 2013-02-21 16:58:05 PST
At this point I've been able to rule out Flash as a factor as on many of the sites showing this Flash isn't even running on them and I can go to sites like Youtube without issue which uses Flash for its videos when it is available.
Comment 48 E B 2013-02-21 17:34:46 PST
Gary, which Catalyst version and Firefox do you see that on?
I have had that exact problem plus the black squares but have not seen the problem from your screen shot since upgrading to Firefox 18.02 and now 19. I only see the black squares problem once in a while now.

I am on Catalyst 13.1/ Firefox 19 and ATi Radeon HD 7870.
I am on Windows 8 (but have observed the problem on my other partition Win7 as well).
Comment 49 Gary [:streetwolf] 2013-02-21 18:16:53 PST
I'm on Cat 13.2 beta 5 and I use the hourlies Fx22.  I mostly get the corruption you see in my screenshot.  I do get black squares but not as often as other folks seem to get them.  I also get triangles at times on my screen.

I also just discovered that when I get corruption I can clear it by clicking on something outside of Fx and then click on Fx to get focus again.

Oh and I'm running Windows 8 pro x64.
Comment 50 Loic 2013-02-21 23:32:47 PST
Triangles like that?
https://bugzilla.mozilla.org/attachment.cgi?id=680262
Comment 51 wojtekka 2013-02-22 01:53:43 PST
I'm on the latest Catalyst Beta 6 and problem still exist. I can reproduce it easily by just slowly scrolling up/down sites like Facebook Youtube. It happens after few scrolls usually. I'm in contact with some AMD guy on overclock.net forum and they are aware of this problem.
Comment 52 SpeciesX 2013-02-22 13:13:39 PST
(In reply to E B from comment #45)
> I have gone to the site previous poster posted the youtube video of and
> could not reproduce doing exactly what was shown in the video, but I do know
> for a fact that I have the problem sometimes, I just had it earlier today,
> but cannot reliably repeatedly reproduce it. When I caught it with screen
> shots it was exactly as everyone describes it.

can you reproduce this?
http://youtu.be/LuxD65BIFUM
Comment 53 E B 2013-02-23 07:09:45 PST
I did exactly what you did and I could not but I would like to know if others can? Can multiple people reproduce the same problem in the same way? Your video is exactly what we are all experiencing but some of us randomly.

I'm glad that you can reproduce it reliably it so that whenever there is a new version of Catalyst/Firefox you can confirm quickly if it's been fixed or not.
Comment 54 Gary [:streetwolf] 2013-02-23 14:15:44 PST
For me this problem is random.  Of interest is the fact that I haven't had any corruption today which is unheard of.  I use the hourlies so it's possible that some bug fix in the hourlies 'fixed' the problem for me.  Tomorrow's nightly should include the bug fixes I am running at the moment.

For those who can reproduce the problem at will it would be interesting if you could install the latest hourly and see what happens or wait for the next nightly.
Comment 55 E B 2013-02-27 22:46:27 PST
19.0.1 is about to be officially released. It is available for download. It's very difficult to find out what changes were made in incremental versions until well after they are officially released, unless someone here knows where to look? 

After a long search, I found references to 19.0.1 addressing "a stability issue with some AMD graphics cards under Windows 8." Does this refer to our problem with AMD 7xxx series cards? Can people who can test for this without waiting for random appearances install 19.0.1 and test? I usually have to wait as long as a day or two to notice display corruption.
Comment 56 Scoobidiver (away) 2013-02-27 23:59:43 PST
19.0.1 doesn't fix this issue. It only adds more verbosity to crash dump. The address shift implies by that change will fix crashes related to memory read of certain bad AMD GPUs.
Comment 57 SpeciesX 2013-02-28 02:06:24 PST
Try to disable azure content, this should reduce artifacts.
Comment 58 wojtekka 2013-02-28 10:46:56 PST
I can confirm that setting gfx.content.azure.enabled to false resolve the problem completely for me.
Comment 59 Gary [:streetwolf] 2013-02-28 11:55:27 PST
(In reply to Gary [:streetwolf] from comment #54)
> For me this problem is random.  Of interest is the fact that I haven't had
> any corruption today which is unheard of.  I use the hourlies so it's
> possible that some bug fix in the hourlies 'fixed' the problem for me. 
> Tomorrow's nightly should include the bug fixes I am running at the moment.
> 
> For those who can reproduce the problem at will it would be interesting if
> you could install the latest hourly and see what happens or wait for the
> next nightly.

While the instances of corruption has decreased I still on occasion will get it. I forgot to add that at the same time the problem lessened I also overclocked my video card.  I am wondering if the o/c has lessened the problem.

Right now I disabled Azure content as suggested in Comment 57.  Will see what happens.
Comment 60 Gary [:streetwolf] 2013-02-28 12:16:04 PST
One thing I am noticing right now after disabling Azure is I used the close button on my bookmark/history sidebar would change to a sky blue color when I hovered near it.  Now it no longer does this.  This same blue color is what my location/navigation/bookmark area turns into at times.
Comment 61 Robert Pendell 2013-03-01 08:26:39 PST
I just checked this.  Disabling azure definitely helps alot but I am still able to reproduce it a little using facebook as my test case scenario.
Comment 62 E B 2013-03-01 08:54:37 PST
I saw no problems in more than 24h so this may be the solution or at least it may significantly reduce the number of appearances.

Can someone please post what the cons are after setting gfx.content.azure.enabled to false, what are the disadvantages?
Comment 63 Gary [:streetwolf] 2013-03-01 10:28:22 PST
I just got a response to this problem from AMD. Here's what they have to say.

"This issue was investigated by AMD and it was confirmed to be a bug in the FireFox coding, and the remedy for the issue has been confirmed on that thread as disabling the gfx Azure content. The issue was thoroughly investigated, but was confirmed that it cannot be remedied through the driver software as it is inherent to the Firefox code, and not anything that can be manipulated through the driver software."
Comment 64 Robert Pendell 2013-03-01 10:39:14 PST
Weird... Then they need to explain the following.

1) Why does the issue not happen on 12.10 for their drivers?
2) Why disabling azure content doesn't fully resolve the issue
3) Why this doesn't happen with other brand adapters (i.e. I can switch to the Intel HD 4000 on the same laptop as the render device for the app and the issue goes away).
4) Why does the issue happen with other applications?
Comment 65 Gary [:streetwolf] 2013-03-01 10:58:18 PST
I think I found why some of my screen turns a skyblue at times. I get this corruption in the location/bookmark bars as well as what I've outlined below. If you can verify it and want me to open a new bug report let me know.

Create a brand new Profile and run Fx with this profile.  Close Fx.

Make sure 'gfx.content.azure.enabled' in prefs is set to TRUE. If set to FALSE the problem doesn't occur.

Place this one line of CSS code in yournewprofile\chrome\UserChrome.css and save it:

#sidebar-header{box-shadow: 3px 3px 3px hsla(213,44%,40%,.1) inset !important}

Restart Firefox with the new profile.

Open up the Bookmark or History sidebar.

Now slowly move the pointer around and on the close button until the close box turns a skyblue in color. It might take a little time.

I'm on Nightly and running Windows 8 Pro x64

Here's what the close button looks like:

http://imageshack.us/photo/my-images/594/closelz.png/
Comment 66 SpeciesX 2013-03-01 11:00:42 PST
(In reply to Robert Pendell from comment #64)
> 4) Why does the issue happen with other applications?

I get only in Firefox the black, gray, white and blue squares.
Comment 67 Robert Pendell 2013-03-01 11:33:17 PST
There were reports of some other applications having it and I got it in some forks of PuTTY that supported transparency but I do not remember which one it was and I can't readily reproduce it... :(
Comment 68 Timothy Warren 2013-03-01 16:54:35 PST
I actually noticed a similar issue within the "metro" app store
Comment 69 E B 2013-03-01 18:31:46 PST
While there are smaller numbers of people reporting otherwise, the majority of us cannot replicate the problem on either Google Chrome or Internet Explorer. Majority of us only started noticing problems around the time of Firefox 18 release.

Something definitely was influencing the frequency of appearances (Catalyst 12.8 vs Catalyst 13) but it wasn't always a there/not there problem but about how often the problem was appearing. Setting Firefox gfx.content.azure.enabled to FALSE has drastically reduced the number of times the problem appears for a lot of people.
Comment 70 Dave 2013-03-02 07:22:04 PST
This has only started happening since 13.2b6 (I have a 7870)

It is not even on any site this happens, it happens opening new tabs with speeddial as the new tab page

Its not a firefox bug, its an AMD 13.2 beta drivers bug, it happens with Google Chrome too
Comment 71 Robert Pendell 2013-03-02 09:22:41 PST
(In reply to d.a.v.e@live.co.uk from comment #70)
> This has only started happening since 13.2b6 (I have a 7870)
> 
> It is not even on any site this happens, it happens opening new tabs with
> speeddial as the new tab page
> 
> Its not a firefox bug, its an AMD 13.2 beta drivers bug, it happens with
> Google Chrome too

This bug goes back to 12.11 from what I've seen.  I'm interested in the issue with Chrome though.  Do you have a test case for Chrome that is consistent for you?  If I can reproduce it here then we can try to push AMD to fix it in their drivers as we would have multiple applications experiencing it for sure.
Comment 72 Dave 2013-03-02 09:26:26 PST
(In reply to Robert Pendell from comment #71)
> (In reply to d.a.v.e@live.co.uk from comment #70)
> > This has only started happening since 13.2b6 (I have a 7870)
> > 
> > It is not even on any site this happens, it happens opening new tabs with
> > speeddial as the new tab page
> > 
> > Its not a firefox bug, its an AMD 13.2 beta drivers bug, it happens with
> > Google Chrome too
> 
> This bug goes back to 12.11 from what I've seen.  I'm interested in the
> issue with Chrome though.  Do you have a test case for Chrome that is
> consistent for you?  If I can reproduce it here then we can try to push AMD
> to fix it in their drivers as we would have multiple applications
> experiencing it for sure.

Strange, I had no issues whatsoever until 13.2b6, and I've been updating my drivers as they are released since 12.10

Unfortunately I am not the person with the Chrome issue, I was relaying reports I've read from others on forums when I was asking about the Firefox issue, the reply to my question as to whether others had the same problem was: "Yes with Firefox and Chrome"
Comment 73 Robert Pendell 2013-03-02 09:27:51 PST
(In reply to d.a.v.e@live.co.uk from comment #72)
> Strange, I had no issues whatsoever until 13.2b6, and I've been updating my
> drivers as they are released since 12.10
> 
> Unfortunately I am not the person with the Chrome issue, I was relaying
> reports I've read from others on forums when I was asking about the Firefox
> issue, the reply to my question as to whether others had the same problem
> was: "Yes with Firefox and Chrome"

Did you have the issue with any of the other 13.2 beta drivers?  Did you try 13.2 beta 7?
Comment 74 Dave 2013-03-02 09:30:13 PST
I am currently running 13.2 beta 7 and the problem is still present

I have used every 13.2 beta since Beta 3 according to my collection of drivers, I always keep each release until I find a stable build

Beta 3-5 were fine, Beta 6 and 7 have checkerboard on Firefox
Comment 75 Dave 2013-03-02 09:33:14 PST
As luck would have it, I just came across a thread discussing this exact problem
http://forums.guru3d.com/showthread.php?t=374324
Comment 76 Robert Pendell 2013-03-02 10:00:51 PST
That's weird.  For me beta 6 didn't update drivers.  Only the CCC and the AMD transcoding stuff was updated.

Anyways I looked through that thread and a couple of things stuck out.

1) Per the thread 12.10 may actually be blocked in the hardware acceleration sense on Windows 8
2) Direct2D may be at fault

So... I went back in about:config and set gfx.direct2d.disabled to true.  Restarted the browser and now it is cleared.

Direct2D enabled (default)
Graphics

Adapter Description AMD Radeon HD 7970M
Adapter Drivers aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64
Adapter RAM 2048
Device ID 0x6800
Direct2D Enabled true
DirectWrite Enabled true (6.2.9200.16433)
Driver Date 2-26-2013
Driver Version 12.100.17.0
GPU #2 Active false
GPU Accelerated Windows 1/1 Direct3D 10
Vendor ID 0x1002
WebGL Renderer Google Inc. -- ANGLE (AMD Radeon HD 7970M)
AzureCanvasBackend direct2d
AzureContentBackend direct2d
AzureFallbackCanvasBackend cairo

Direct2D force disabled
Graphics
      
Adapter Description AMD Radeon HD 7970M
Adapter Drivers aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64
Adapter RAM 2048
Device ID 0x6800
DirectWrite Enabled false (6.2.9200.16433)
Driver Date 2-26-2013
Driver Version 12.100.17.0
GPU #2 Active false
GPU Accelerated Windows 1/1 Direct3D 9
Vendor ID 0x1002
WebGL Renderer Google Inc. -- ANGLE (AMD Radeon HD 7970M)
AzureCanvasBackend cairo
AzureContentBackend none
AzureFallbackCanvasBackend none

Direct2D enabled (default) w/ Azure disabled
Graphics

Adapter Description AMD Radeon HD 7970M
Adapter Drivers aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64
Adapter RAM 2048
Device ID 0x6800
Direct2D Enabled true
DirectWrite Enabled true (6.2.9200.16433)
Driver Date 2-26-2013
Driver Version 12.100.17.0
GPU #2 Active false
GPU Accelerated Windows 1/1 Direct3D 10
Vendor ID 0x1002
WebGL Renderer Google Inc. -- ANGLE (AMD Radeon HD 7970M)
AzureCanvasBackend direct2d
AzureContentBackend none
AzureFallbackCanvasBackend cairo
Comment 77 Robert Pendell 2013-03-02 10:02:52 PST
Forgot to mention that when Direct2D is disabled then it runs in Direct3D 9 vs Direct3D 10 any other time.
Comment 78 Dave 2013-03-02 10:07:08 PST
Yea the driver version hasn't changed for a few beta's now but it always replaces it during the install for me anyway

Someone suggested to about:config this setting: gfx.content.azure.enabled to false

Which I have done, so I`m waiting to see if it has helped before changing anything else

Since changing that to false I haven't seen any corruption either, but it was intermittent anyway
Comment 79 Robert Pendell 2013-03-02 10:09:33 PST
When I shut off Azure it reduced it immensely but it didn't completely clear it on facebook.  With rapid enough mouse movement I was able to still get it to come up a little which means it could still come up elsewhere eventually as well.  With that Azure is still used for the canvas (part of the site rendering) and is just not used for content anymore.  Disabling Direct2D cleared it completely for me without chance for it coming back at all.
Comment 80 Dave 2013-03-02 10:12:52 PST
Good to know, if it reappears I`ll disable 2D too thanks

I don't use facebook much, and I have the FF addon to display it in the original layout, not the new timeline layout, I just visited FB and threw my mouse around, FF window around, moved over links etc and got no corruption this time
Comment 81 Robert Pendell 2013-03-02 10:30:17 PST
Yea... It only happens in the timeline area from the new layout so if you have that hidden away or disabled then you won't see it there.

For those interested here is the info from my Intel HD 4000 adapter where it doesn't happen even with Direct2D and Azure enabled.

Graphics

Adapter Description Intel(R) HD Graphics 4000
Adapter Driver sigdumd64 igd10umd64 igd10umd64 igdumd32 igd10umd32 igd10umd32
Adapter RAM Unknown
Device ID 0x0166
Direct2D Enabled true
DirectWrite Enabled true (6.2.9200.16433)
Driver Date 7-20-2012
Driver Version 9.17.10.2817
GPU #2 Active false
GPU Accelerated Windows 1/1 Direct3D 10
Vendor ID 0x8086
WebGL Renderer Google Inc. -- ANGLE (Intel(R) HD Graphics 4000)
AzureCanvasBackend direct2d
AzureContentBackend direct2d
AzureFallbackCanvasBackend cairo
Comment 82 Gary [:streetwolf] 2013-03-03 10:00:23 PST
Created attachment 720437 [details]
Corruption as it appears in Firefox for me.

Graphics

        Adapter Description
        AMD Radeon HD 7900 Series

        Adapter Drivers
        aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64

        Adapter RAM
        3072

        ClearType Parameters
        DISPLAY1 [ Gamma: 2200 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 50 ] DISPLAY2 [ Gamma: 2200 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 50 ]

        Device ID
        0x6798

        Direct2D Enabled
        true

        DirectWrite Enabled
        true (6.2.9200.16433)

        Driver Date
        2-26-2013

        Driver Version
        12.100.17.0

        GPU #2 Active
        false

        GPU Accelerated Windows
        1/1 Direct3D 10

        Vendor ID
        0x1002

        WebGL Renderer
        Google Inc. -- ANGLE (AMD Radeon HD 7900 Series)

        AzureCanvasBackend
        direct2d

        AzureContentBackend
        direct2d

        AzureFallbackCanvasBackend
        cairo
Comment 83 CAL 2013-03-03 13:07:49 PST
I have 13.1 and a 7850 and these corruptions happen on just about every site, not only facebook. They do not happen on IE or chrome. It's actually happening on this site right now as I type.

I did report the bug to AMD but I don't have a number to share.
Comment 84 CAL 2013-03-03 13:09:10 PST
I posted the screenshot of what is occurring on this site.
Comment 85 CAL 2013-03-03 13:09:53 PST
Created attachment 720458 [details]
screenshot
Comment 86 E B 2013-03-03 17:31:26 PST
CAL would you please do this, then report if the problem is resolved. THen report back in a few days if it *stayed* resolved"

Firefox > about:config

Next to Search: type
gfx.content.azure.enabled
Double click on it to set its value to FALSE
Comment 87 Robert Pendell 2013-03-03 18:08:38 PST
Alternatively try setting gfx.direct2d.disabled to true

I had to do that to fully eliminate the issue.  It has the same effect to Azure but also causes Firefox to fallback to DirectX 9.
Comment 88 Gary [:streetwolf] 2013-03-03 18:13:57 PST
Has it been determined that this problem is limited to AMD 7xxx graphic cards and CATS 12.11+?
Comment 89 E B 2013-03-03 20:43:08 PST
You mostly see it reported by 7xxx users and on 12.11+ Catalyst but it's difficult to use the word 'limited'. You mostly see it reported around the time of Firefox 18 release.

I have yet to see it re-appear after setting gfx.content.azure.enabled to FALSE on my Radeon HD 7870. But to help answer your question, if AMD's official stand is to blame Firefox, how do we get Mozilla's reply?
Comment 90 Benoit Jacob [:bjacob] (mostly away) 2013-03-04 10:16:16 PST
Can someone please run WebGL 1.0.1 conformance tests and report here?
https://www.khronos.org/registry/webgl/conformance-suites/1.0.1/webgl-conformance-tests.html
Comment 91 Robert Pendell 2013-03-04 10:51:32 PST
I ran the tests for you.  Not sure if this is what you needed or not.  No corruption was evident during the test even with Direct2D and Azure enabled.

Results: (8886 of 8886 passed) 

Test Log: http://pastebin.com/tSsayDRx
Comment 92 Benoit Jacob [:bjacob] (mostly away) 2013-03-04 11:21:12 PST
Thanks. The fact that these tests, which use Direct3D 9 on windows, passed, suggests that this may be a Direct3D 10 specific driver issue.
Comment 93 Robert Pendell 2013-03-04 11:38:56 PST
It also lines up with the results I got with disabling Azure or disabling Direct2D.

Disabling Azure Content prevents it from using Direct2D from rendering that content.
Disabling Direct2D forces the browser to fallback to Direct3D 9.

Oddly enough the latter was the only one good enough to fully eliminate the issue until it can be fixed either in the driver or the application (which ever one is the actual culprit).
Comment 94 Gary [:streetwolf] 2013-03-04 12:11:06 PST
Created attachment 720833 [details]
WebGL Conformance Test Runner

Test Summary (8881 total tests):
Tests PASSED: 8876
Tests FAILED: 5
Tests TIMED OUT: 1
Tests SKIPPED: 0
Comment 95 SpeciesX 2013-03-04 12:16:57 PST
(In reply to Benoit Jacob [:bjacob] from comment #90)
> Can someone please run WebGL 1.0.1 conformance tests and report here?
> https://www.khronos.org/registry/webgl/conformance-suites/1.0.1/webgl-
> conformance-tests.html


User Agent: Mozilla/5.0 (Windows NT 6.2; Win64; x64; rv:22.0) Gecko/20130304 Firefox/22.0
WebGL VENDOR: Mozilla
WebGL VERSION: WebGL 1.0
WebGL RENDERER: Mozilla
Unmasked VENDOR: undefined
Unmasked RENDERER: undefined
WebGL R/G/B/A/Depth/Stencil bits (default config): 8/8/8/8/24/0

-------------------

Test Summary (8892 total tests):
Tests PASSED: 8831
Tests FAILED: 61
Tests TIMED OUT: 0
Tests SKIPPED: 0

-------------------

Failures:

conformance/glsl/functions/glsl-function.html: 2 tests failed
conformance/glsl/functions/glsl-function-abs.html: 2 tests failed
conformance/glsl/functions/glsl-function-acos.html: 2 tests failed
conformance/glsl/functions/glsl-function-asin.html: 1 tests failed
conformance/glsl/functions/glsl-function-atan.html: 2 tests failed
conformance/glsl/functions/glsl-function-atan-xy.html: 2 tests failed
conformance/glsl/functions/glsl-function-ceil.html: 2 tests failed
conformance/glsl/functions/glsl-function-clamp-float.html: 2 tests failed
conformance/glsl/functions/glsl-function-clamp-gentype.html: 2 tests failed
conformance/glsl/functions/glsl-function-cos.html: 2 tests failed
conformance/glsl/functions/glsl-function-faceforward.html: 2 tests failed
conformance/glsl/functions/glsl-function-floor.html: 2 tests failed
conformance/glsl/functions/glsl-function-fract.html: 2 tests failed
conformance/glsl/functions/glsl-function-max-float.html: 2 tests failed
conformance/glsl/functions/glsl-function-max-gentype.html: 2 tests failed
conformance/glsl/functions/glsl-function-min-gentype.html: 2 tests failed
conformance/glsl/functions/glsl-function-mix-float.html: 1 tests failed
conformance/glsl/functions/glsl-function-mix-gentype.html: 1 tests failed
conformance/glsl/functions/glsl-function-mod-float.html: 2 tests failed
conformance/glsl/functions/glsl-function-mod-gentype.html: 2 tests failed
conformance/glsl/functions/glsl-function-reflect.html: 2 tests failed
conformance/glsl/functions/glsl-function-smoothstep-float.html: 2 tests failed
conformance/glsl/functions/glsl-function-smoothstep-gentype.html: 2 tests failed
conformance/misc/uninitialized-test.html: 4 tests failed
conformance/textures/gl-teximage.html: 5 tests failed
conformance/textures/tex-image-with-format-and-type.html: 2 tests failed
conformance/textures/texparameter-test.html: 7 tests failed



User Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:22.0) Gecko/20130304 Firefox/22.0
WebGL VENDOR: Mozilla
WebGL VERSION: WebGL 1.0
WebGL RENDERER: Mozilla
Unmasked VENDOR: undefined
Unmasked RENDERER: undefined
WebGL R/G/B/A/Depth/Stencil bits (default config): 8/8/8/8/24/0

-------------------

Test Summary (8892 total tests):
Tests PASSED: 8840
Tests FAILED: 52
Tests TIMED OUT: 0
Tests SKIPPED: 0

-------------------

Failures:

conformance/glsl/functions/glsl-function.html: 1 tests failed
conformance/glsl/functions/glsl-function-acos.html: 1 tests failed
conformance/glsl/functions/glsl-function-atan.html: 2 tests failed
conformance/glsl/functions/glsl-function-atan-xy.html: 1 tests failed
conformance/glsl/functions/glsl-function-ceil.html: 2 tests failed
conformance/glsl/functions/glsl-function-clamp-gentype.html: 2 tests failed
conformance/glsl/functions/glsl-function-cos.html: 2 tests failed
conformance/glsl/functions/glsl-function-faceforward.html: 2 tests failed
conformance/glsl/functions/glsl-function-floor.html: 1 tests failed
conformance/glsl/functions/glsl-function-fract.html: 1 tests failed
conformance/glsl/functions/glsl-function-max-float.html: 2 tests failed
conformance/glsl/functions/glsl-function-max-gentype.html: 2 tests failed
conformance/glsl/functions/glsl-function-min-float.html: 2 tests failed
conformance/glsl/functions/glsl-function-min-gentype.html: 2 tests failed
conformance/glsl/functions/glsl-function-mix-float.html: 2 tests failed
conformance/glsl/functions/glsl-function-mix-gentype.html: 2 tests failed
conformance/glsl/functions/glsl-function-mod-float.html: 2 tests failed
conformance/glsl/functions/glsl-function-mod-gentype.html: 2 tests failed
conformance/glsl/functions/glsl-function-normalize.html: 2 tests failed
conformance/glsl/functions/glsl-function-reflect.html: 1 tests failed
conformance/glsl/functions/glsl-function-sign.html: 1 tests failed
conformance/glsl/functions/glsl-function-smoothstep-float.html: 2 tests failed
conformance/glsl/functions/glsl-function-smoothstep-gentype.html: 2 tests failed
conformance/misc/uninitialized-test.html: 4 tests failed
conformance/textures/gl-teximage.html: 2 tests failed
conformance/textures/texparameter-test.html: 7 tests failed
Comment 96 Gary [:streetwolf] 2013-03-04 12:22:42 PST
Can someone please try what I outline in Comment 65?  It might be related to this bug report but I am not sure.
Comment 97 Gary [:streetwolf] 2013-03-04 12:24:32 PST
Can someone please try what I outline in Comment 65?  It might be related to this bug report but I am not sure.  btw.. the color of the close button becomes the color of the titlebar.
Comment 98 Robert Pendell 2013-03-04 13:50:10 PST
Yea.  I get this as well using the steps you mentioned so it appears to be related as well.
Comment 99 Gary [:streetwolf] 2013-03-04 14:03:53 PST
(In reply to Robert Pendell from comment #98)
> Yea.  I get this as well using the steps you mentioned so it appears to be
> related as well.

This is the only corruption I can reproduce at will.  Like other glitches disabling Azure fixes it.

Btw... Can it be that overclocking your vid card is the cause?  Anyone with the problem running at stock speeds?
Comment 100 Robert Pendell 2013-03-04 14:10:02 PST
I'm running everything at stock speeds.  I don't overclock as I never see an appreciable improvement by doing so and I'm on a laptop so the risk of damage is higher in that scenario.
Comment 101 Robert Pendell 2013-03-04 14:26:13 PST
Also as I have stated before turning off Azure greatly improved it for me but I was still able to show it with rapid movement and as such turning off Direct2D was the only way to completely resolve the issue.
Comment 102 Vitor Cunha 2013-03-07 05:04:19 PST
Guys, I have two very different machines with legacy ATI cards which (now) have this issue (and it's not only on Facebook).
In both cases the issue only started after applying this Windows update (http://support.microsoft.com/kb/2670838).

Nothing else changed in the system, before that update Firefox was working properly, after the update it wasn't.
I am unsure if this is a Firefox issue or an AMD/ATI driver issue, but definitely do look at this Windows update.
Comment 103 Robert Pendell 2013-03-07 05:47:56 PST
That's interesting.  It looks like a platform update to get the APIs in sync with Windows 8 so it doesn't necessarily apply to those of us already running Windows 8 (like myself) but it does seem to have relation to our issue.

Among the updated components is Direct2D which in my earlier tests showed that disabling that function eliminated the issue for me.
Comment 104 Timothy Warren 2013-03-07 06:28:22 PST
It seems like the heart of the issue is Direct2D and DirectX 10/11. But does that make it AMD's bug, Microsoft's bug, or Firefox's bug?
Comment 105 Robert Pendell 2013-03-07 07:03:20 PST
I don't think it would be a Microsoft bug mostly due to the fact that if it was then it would likely be happening on all DirectX10/11 capable GPUs and that isn't the case at all from what I've seen.
Comment 106 Robert Pendell 2013-03-07 07:42:33 PST
I've submitted a customer care/tech support request on their website for further information and inquiry.  I pasted what I sent to them here: http://pastebin.com/UWf0krRs
Comment 107 Vitor Cunha 2013-03-07 11:41:15 PST
One thing I have just realized is that my issues were much (much) less severe than the ones in the pictures. It was mostly garbled/corrupted rendering of text (much smaller squares corrupting the fonts).

I was going to post a screenshot of the issue, but then I read somewhere else there was a Firefox update specifically targeted for Windows 8 which could solve the issue.
I already had Firefox 19.0.1, but after downloading the setup file once again and installing over the previous version the problem seems to be reasonably solved. Sometimes the text is still "corrupted" like previously during the page load, but once the page is fully loaded it is getting hard to replicate the problem.

I'm not saying this has solved the issue entirely, but (so far) it definitely made the issue better.
Comment 108 Robert Pendell 2013-03-07 11:55:37 PST
(In reply to Vitor Cunha from comment #107)
> One thing I have just realized is that my issues were much (much) less
> severe than the ones in the pictures. It was mostly garbled/corrupted
> rendering of text (much smaller squares corrupting the fonts).
> 
> I was going to post a screenshot of the issue, but then I read somewhere
> else there was a Firefox update specifically targeted for Windows 8 which
> could solve the issue.
> I already had Firefox 19.0.1, but after downloading the setup file once
> again and installing over the previous version the problem seems to be
> reasonably solved. Sometimes the text is still "corrupted" like previously
> during the page load, but once the page is fully loaded it is getting hard
> to replicate the problem.
> 
> I'm not saying this has solved the issue entirely, but (so far) it
> definitely made the issue better.

I went and tried this (was also already at 19.0.1) and I confirm that reinstalling that version seems to have relieved it by a great deal.  However it still shows itself.  Now take the separator bar between the activity feed and chat on facebook and relocate it.  The corruption will still come through but it doesn't show simply because it is there.  Aggressive mouse movement in that area will also produce it.

Vitor Cunha -- Can you give the 19.0.1 build a try?
ftp://ftp.mozilla.org/pub/firefox/releases/19.0.1/win32/en-US/Firefox%20Setup%2019.0.1.exe
Comment 109 Vitor Cunha 2013-03-07 12:21:16 PST
(In reply to Robert Pendell from comment #108)
> 
> I went and tried this (was also already at 19.0.1) and I confirm that
> reinstalling that version seems to have relieved it by a great deal. 
> However it still shows itself.  Now take the separator bar between the
> activity feed and chat on facebook and relocate it.  The corruption will
> still come through but it doesn't show simply because it is there. 
> Aggressive mouse movement in that area will also produce it.
> 
> Vitor Cunha -- Can you give the 19.0.1 build a try?
> ftp://ftp.mozilla.org/pub/firefox/releases/19.0.1/win32/en-US/
> Firefox%20Setup%2019.0.1.exe

Sure, I am already using that very same version.
I still see the issue from time to time, oddly enough (while writing this very same comment) I was able to capture an example of the "font corruption" I was seeing. 
It may not be exactly the same (it looks slightly different and this is in an editable text box, whilst before it was on regular page text) but it should be enough to get an idea of what was happening in Windows 7.

The thing is, it "auto-fixes" itself after a while (sometimes even very quickly), so although we can still see it, it's much harder capture a screenshot.
Facebook is a prime example of that, I can see the corruption at one moment but it's either gone very quickly or gone after a scroll.

I will add the PNG.
Comment 110 Vitor Cunha 2013-03-07 12:23:11 PST
Created attachment 722437 [details]
"Font corruption" seen in W7 (best I could do after reinstalling FF19.0.1)
Comment 111 Robert Pendell 2013-03-07 12:30:03 PST
I'm not getting that font corruption.  Not sure where that is coming from.  Might be related but may be a different issue.  Upon re-installing 19.0.1 I also noted that simply disabling Azure (as originally suggested) is sufficient to resolve the issue now.  I don't have to do a full blown disable on Direct2D to relieve the issue.
Comment 112 Vitor Cunha 2013-03-07 12:36:48 PST
I'm not sure about that font issue either. Usually I only had white or black squares (hence what brought me here), but in the PNG I posted the squares where colored (which could be something else entirely -- font smoothing issue maybe, the colors displayed there kind of look like a mess of the subpixel techniques used in text anti-alias).

Will take a closer look to that.
Comment 113 Gary [:streetwolf] 2013-03-09 10:37:10 PST
I opened another bug report for the problems I am having as I'm not really sure if they are related to this bug. https://bugzilla.mozilla.org/show_bug.cgi?id=849507

I do not get the corruption that is stated here (except for what I posted), no black squares for example.
Comment 114 Robert Pendell 2013-03-10 07:31:11 PDT
Update: While the issue is greatly diminished by reinstalling 19.0.1 (installed even though it said I had it already) and Azure helped to eliminiate it fully on my test site I've seen a couple of small minor cases still on a couple of sites.  One site in particular was on google.com (search results).  With that configuration though the issue can't be reproduced at will.
Comment 115 Gary [:streetwolf] 2013-03-10 10:26:43 PDT
One site that produces my particular corruption (geometric shapes, mostly triangles of different colors is http://userstyles.org/styles/browse/app?per_page=30&sort=updated_date&sort_direction=desc.  It is intermittent.
Comment 116 Gary [:streetwolf] 2013-03-11 10:41:31 PDT
Just discovered that with azure disabled the video at http://www.twitch.tv doesn't play.  Wonder if this is another bug?  Can anyone else confirm?
Comment 117 LordStriker 2013-03-11 11:56:27 PDT
Would you like to check my case? I'm on:

Windows 8 x64, Firefox 20 beta 4 + Latest Nightly x64. AMD 7950, Catalyst 13.2 beta7

On both version of Firefox I could see seemingly random corruption. Usually when Firefox is maximised/normal windows but without having focus. Always when I click wherever on Fx, the corruptions are gone. 2 days ago, just by luck, I disabled GDI Table Loading, and I'm using Natural Symmetric fonts everywhere. 

Now I don't know what is going, and I'm not sure for anything, but since then, I haven't seen a single corruption anymore... 2 days without glitches it was almost impossible. Can this have any connection with the problem?

The changes I made: http://i4.minus.com/iWGFXyP80yDt9.png

P.S. Azure is running for both, content and canvas.
Comment 118 Gary [:streetwolf] 2013-03-11 13:52:24 PDT
(In reply to LordStriker from comment #117)
> Would you like to check my case? I'm on:
> 
> Windows 8 x64, Firefox 20 beta 4 + Latest Nightly x64. AMD 7950, Catalyst
> 13.2 beta7
> 
> On both version of Firefox I could see seemingly random corruption. Usually
> when Firefox is maximised/normal windows but without having focus. Always
> when I click wherever on Fx, the corruptions are gone. 2 days ago, just by
> luck, I disabled GDI Table Loading, and I'm using Natural Symmetric fonts
> everywhere. 
> 
> Now I don't know what is going, and I'm not sure for anything, but since
> then, I haven't seen a single corruption anymore... 2 days without glitches
> it was almost impossible. Can this have any connection with the problem?
> 
> The changes I made: http://i4.minus.com/iWGFXyP80yDt9.png
> 
> P.S. Azure is running for both, content and canvas.

LS, can you duplicate the problem I mentioned in comment 65 with your pref changes?
Comment 119 Robert Pendell 2013-03-11 20:01:02 PDT
With Azure off I'm still getting UI corruption now.  Going to try LS's settings now.
Comment 120 Robert Pendell 2013-03-11 20:07:58 PDT
Meh... scratch that.  Even worse.  Basically did nothing for the black squares for me.  Had to go back and turn off Direct2D to clear it fully again.  New pic attached -- UI corruption.  Also shows in the address far.  Look for the "orange" (probably transparent) boxes up in the upper right.
Comment 121 Robert Pendell 2013-03-11 20:09:20 PDT
Created attachment 723785 [details]
UI corruption
Comment 122 LordStriker 2013-03-12 04:59:29 PDT
Sorry, it didn't work on me either. 3rd day I just got the entire homepage black, until I clicked on ( gave focus ). I also get those smaller corruptions like the latest attachment.
Comment 123 Loic 2013-03-12 07:05:41 PDT
*** Bug 849848 has been marked as a duplicate of this bug. ***
Comment 124 CAL 2013-03-15 06:36:46 PDT
Setting gfx.content.azure.enabled to FALSE did not fix the problem for me but it seemed to reduce the occurrence and amount of distortion, however setting gfx.direct2d.disabled to true did finally resolve the issue.
Comment 125 Robert Pendell 2013-03-15 06:43:30 PDT
I got a response from AMD a couple of days ago that echos what was mentioned earlier.  I've requested additional information advising that disabling Azure alone wasn't enough and that it required a full disable of Direct2D to clear up in the browser.  It does seem they are trying to blame it on the way that the Azure API is implemented.  Does anyone know when Azure was implemented into the browser?

AMD Response:
This issue was investigated by the Catalyst Development Team previously and was determined to be in the code of FireFox and how the Azure API is implemented in FireFox, and as such there are no fixes that can be released by the Catalyst developers. We apologize for any inconvenience, but after a thorough investigation by the Catalyst Developers, it was determined that a fix from AMD would not be possible for this issue.
Comment 126 Scoobidiver (away) 2013-03-15 07:05:29 PDT
(In reply to Robert Pendell from comment #125)
> Does anyone know when Azure was implemented into the browser?
It was in Firefox 7: http://www.basschouten.com/blog1.php/releasing-azure

So AMD guys say basically that some fixes in their recent graphics drivers has highlighted an underlying issue in the Azure API implementation in Firefox.
Comment 127 Robert Pendell 2013-03-15 07:18:35 PDT
It seems so.  Unfortunately I could not get any specific information from AMD beyond that.  It seems their own Global Customer Care department was getting a rather short response from the developers over the past few weeks regarding this and if they have been at it a for that long how many people have reported it already? o.O

AMD Response:
Unfortunately, the Catalyst developers didn't feel it necessary to explain to us how the specific issue was isolated to the FireFox code , how it arose, and how it was not possible for a patch to be provided by AMD. They were rather short in their answer to me, and would not elaborate when I asked. If you go to www.amd.com/betareport and fill our an Error report there, requesting specific confirmation on why this issue exists, the Development team will (hopefully) reply and let you know that information. But since they haven't provided it to the GCC after almost 3 weeks of us bugging them for an explanation, it doesn't appear that the Global Customer Care team here will be able to answer that question for you.
Comment 128 Vitor Cunha 2013-03-15 07:29:29 PDT
I'm not saying the bug isn't within Firefox code (because it may very well be), but with a reply like that I would fell tempted to be "a prick" and write them back something in the likes of "Thank you very much for your time and effort on the matter, I feel sorry to have to go off and buy a nVidia card to solve this -- nVidia just works, like all other non-AMD/ATI cards".
That would make them rethink the communication strategy.

They have probably fixed far worst problems in games, I'm still hopeful they are communicating (in the backstage) with Mozilla to get this solved.
Comment 129 Vitor Cunha 2013-03-15 07:31:01 PDT
Oh, I see there was a follow up.. Nevermind the previous reply.
Comment 130 Gary [:streetwolf] 2013-03-16 05:55:21 PDT
FYI...  I'm now on 13.3 beta 2 and sad to report the problem is still with us.

Is anyone at Mozilla looking into this problem?
Comment 131 Robert Pendell 2013-03-16 05:58:35 PDT
Off Topic:
FYI - 13.3 Beta 2 actually has a fairly significant OpenGL bug that affects games like Minecraft so if you play Minecraft I would stay away from them.  I reported a divide-by-zero exception to them in their driver.
Comment 132 Alexander Doborshhuk 2013-03-16 06:49:14 PDT
Just switched from nvidia card to amd specie, and immediately noticed those artifacts in FireFox. 

http://i45.tinypic.com/2u4sld0.jpg
I have also experienced rectangular area of text corruption on a web page, but most frequently it appears in tabs area.

Does not happen in Chrome, IE. Also workaround with disabling hardware acceleration helps.

I am running FF20b5, win64, catalyst 13.1
Comment 133 Gary [:streetwolf] 2013-03-16 17:28:56 PDT
Disabling HWA might be a workaround but not the answer.  I really wish the Devs look into this.  I don't have corruption as often or as bad as others but there shouldn't any.  AMD pretty much wiped their hands clean on this problem so now it's Mozilla time.
Comment 134 Robert Pendell 2013-03-16 18:50:07 PDT
Disabling Direct2D is also a nasty workaround but at least it leaves some of the HWA bits enabled.

The main thing is how do you even approach an issue such as this in a debugging perspective.  If I knew what I was looking for in a code sense I would build a debug version of a recent version where I could reproduce it and attach it to a VS2010 debugger.

I did notice an odd additional issue that may or may not be related.  Occasionally there is a noticible delay before the actual UI and page is drawn on screen.  Keep in mind this is with Direct2D disabled...  Only happens when the window is coming up from minimized state.  The screenshot will be attached next.
Comment 135 Robert Pendell 2013-03-16 18:53:06 PDT
Created attachment 725830 [details]
Occasional slow UI draw

Slow UI render when coming up from minimized status.  May not be easily reproduced... :(
Comment 136 Robert Pendell 2013-03-16 18:54:49 PDT
Comment on attachment 725830 [details]
Occasional slow UI draw

BTW I realize this could be seen as just a background or anything else but I assure you that it was Firefox I was bringing up.  You can tell because the Firefox icon is still the last clicked icon (still active) in the superbar.
Comment 137 mozzar 2013-03-20 00:37:23 PDT
FF-19.x / Win7-64bit / AMD Catalyst v13.1 driver (Radeon HD 7850):

Issue isn't caused by facebook pages only, it occurs also while switching between tabs or calling new pages:
http://img69.imageshack.us/img69/3079/ff19pixelfehler.jpg 

If FF hardware acceleration is disabled, no more display issues so far!
Comment 138 Ives Bardiau 2013-03-20 05:22:37 PDT
Created attachment 727151 [details]
Display corruption on "every side! Firefox 19.0.2 and Radeon HD 4850. Legacy driver 13.1. Only with hardware acceleration enabled.

display corruption on every side with hardware acceleration enabled! Radeon HD 4850 and legacy driver 13.1.
Comment 139 Ives Bardiau 2013-03-20 05:25:44 PDT
Comment on attachment 727151 [details]
Display corruption on "every side! Firefox 19.0.2 and Radeon HD 4850. Legacy driver 13.1. Only with hardware acceleration enabled.

Display corruption on "every" side! Radeon HD 4850 and legacy driver 13.1
Comment 140 Alice0775 White 2013-03-20 05:33:59 PDT
@Ives
your problem is Bug 812695, not this one.
Comment 141 Alexander Doborshhuk 2013-03-30 23:51:47 PDT
(In reply to Gary [:streetwolf] from comment #133)
> Disabling HWA might be a workaround but not the answer.  I really wish the
> Devs look into this.  I don't have corruption as often or as bad as others
> but there shouldn't any.  AMD pretty much wiped their hands clean on this
> problem so now it's Mozilla time.

I finally decided to uninstall fraking KB2670838 along with IE10, and all went back to normal with HWA enabled.

So MS vs. AMD could still be blamed for this, OR FireFox got some implementation wrong and when MS changed something to better suit specification things got out of control.
Comment 142 wojtekka 2013-03-31 07:53:31 PDT
This bug is not about KB2670838. See https://bugzilla.mozilla.org/show_bug.cgi?id=812695
Comment 143 Matt 2013-03-31 14:47:20 PDT
I'm also experiencing this "black squares" problem - opening up a new tab (either by clicking on the + symbol or opening up a new tab simply by clicking on a URL) causes the problem. The black squares appear at the right side of the URL bar and just below it, but sometimes only extremely briefly appear (as a triangle of black squares) in the main viewing window.

My video card is an AMD Radeon HD 7850, but I'm pretty sure that I experienced the problem with my previous card, an AMD Radeon HD 6850.

I'm using the latest Catalyst drivers and Firefox 19.0.2
Comment 144 mozzar 2013-04-02 09:14:45 PDT
* Update FF-20 does not solve this issue... *

FF-20 / Win7-64bit / AMD Catalyst v13.1 driver (Radeon HD 7850):

Issue isn't caused by facebook pages only, it occurs also while switching between tabs or calling new pages:
http://img69.imageshack.us/img69/3079/ff19pixelfehler.jpg 

If FF hardware acceleration is disabled, no more display issues so far!
Comment 145 dgjunk 2013-04-08 11:35:16 PDT
Interestingly this corruption only appears to me when the GPU is heavily stressed by a OpenCL app, like Folding@Home (core_17) or Bitcoin mining.
Comment 146 Loic 2013-04-09 07:00:44 PDT
*** Bug 859501 has been marked as a duplicate of this bug. ***
Comment 147 Gary [:streetwolf] 2013-04-16 04:31:45 PDT
Is there any movement on this problem?  I still get display corruption.  Things like the title bar, Nav bar, bookmarks bar will become, in part, the color I chose in Windows Personalization for title bar and borders.  

Less often content will get corrupted.  Usually it's geometric shapes.

Problem seems to occur less often then before. As stated, disabling Azure 'fixes' the problem.  AMD points the finger to your implementation of Azure (take with a grain of salt).

A new profile with no add-ons still produces the problem.

Running Fx23 Nightlies at the moment.
Comment 148 Gary [:streetwolf] 2013-04-16 05:29:08 PDT
Created attachment 737935 [details]
Display corruption

This site seems to produce corruption more than any other site I've visited.
Comment 149 Scoobidiver (away) 2013-04-16 05:38:30 PDT
(In reply to Gary [:streetwolf] from comment #148)
> This site seems to produce corruption more than any other site I've visited.
This one is a different issue related to KB2670838 (prerequisite for IE 10), not AMD drivers.
Comment 150 Gary [:streetwolf] 2013-04-16 05:49:35 PDT
(In reply to Scoobidiver from comment #149)
> (In reply to Gary [:streetwolf] from comment #148)
> > This site seems to produce corruption more than any other site I've visited.
> This one is a different issue related to KB2670838 (prerequisite for IE 10),
> not AMD driver

This is a different problem than KB2670838.  Read Comment 142.  Seems to only affect Radeon 7xxx series cards with the drivers mentioned in the title
Comment 151 Gary [:streetwolf] 2013-04-21 08:30:02 PDT
Why is this problem still being ignored (seemingly)?  It is real issue I can assure you of that.

Here's two discussions for you to ponder over:

http://forums.guru3d.com/showthread.php?t=374324

http://forums.guru3d.com/showthread.php?t=377483
Comment 152 mozzar 2013-04-30 03:23:55 PDT
Same issue even with newest Catalyst driver 13.4...

FF-20.0.1 / Win7-64bit / AMD Catalyst v13.4 driver (Radeon HD 7850)
Comment 153 Loic 2013-05-12 07:07:13 PDT
*** Bug 871227 has been marked as a duplicate of this bug. ***
Comment 154 Loic 2013-05-13 02:45:24 PDT
*** Bug 871393 has been marked as a duplicate of this bug. ***
Comment 155 boomman37 2013-05-14 12:32:57 PDT
Created attachment 749425 [details]
Corruption on 7850@13.4 WHQL on Win8x64

I have seen attached corruption IIRC since hardware acceleration release in Firefox on Radeon 4850 12.x and now on 7850 13.4 on Win7x64 and Win8x64. 
I tried just now to create a custom profile in CCC but apparently it already has one. Overwriting that and disabling everything in the new profile does not do anything.
In my case, this corruption apparently goes away after I stop Einstein@Home OpenCL application einsteinbinary_BRP4_1.34_windows_x86_64__opencl-ati.exe that I run constantly, so I'm not sure where the issue exactly is.
The corruption is annoying, varies wildly in severity and can be scrolled under the screen display area, so it should be the rendered area in memory that is corrupted.
Comment 156 bleukousuke 2013-06-06 07:29:49 PDT
Is it just me or do I see patterns?
also it remembers me of badly viewed text
(the old days?)
Comment 157 Gary [:streetwolf] 2013-06-11 16:54:13 PDT
I haven't had any corruption issues in a long time.  I'm currently running Cat 13.6 beta 2.  HWA and Azure both enabled.

Mozilla/5.0 (Windows NT 6.2; WOW64; rv:24.0) Gecko/20130611 Firefox/24.0 ID:20130611142404 CSet: a259e4b7d9ab
Comment 158 dgjunk 2013-06-12 01:53:39 PDT
Still happening to me on Cat 13.6 beta2, when running a OpenCL app (FahBench, Folding@home, Bitcoin mining). Didn't happen on my 7950 even before if not stressing the GPU heavily.
Comment 159 SpeciesX 2013-06-12 01:55:22 PDT
Definitely not fixed!
Comment 160 Gary [:streetwolf] 2013-06-12 05:40:51 PDT
Could you provide some links to problem pages and maybe a screenshot of what you are getting.  I am also using the latest Fx24 hourly but I haven't noticed any problems for a few months.  I also looked at my preferences related to anything graphic in nature and set them to their defaults.
Comment 161 dgjunk 2013-06-12 06:03:57 PDT
Created attachment 761390 [details]
Still graphics corruption on 13.6b2
Comment 162 dgjunk 2013-06-12 06:06:53 PDT
I haven't noticed that any certain page causes any more corruption than other. Or maybe pages with lots of images (galleries, like imgur.com) have higher chance. And also having loads of tabs open at same time, and then doing "reload all tabs" will cause most corruption.
Comment 163 Gary [:streetwolf] 2013-06-12 06:44:55 PDT
The corruption I had was intermittent.  It usually manifested it self by turning the Navbar and bookmarks toolbar the same color as my Windows caption bar.  Sometimes the whole line, sometimes just a little spot or two.  I would also get random geometric shapes on a few sites, also intermittent.

As said, I no longer see these glitches.

I am not a heavy user with many tabs opened at the same time so perhaps I'm not hitting the thing that is triggering this.
Comment 164 dgjunk 2013-06-12 06:55:49 PDT
Well like I said earlier, I don't get the corruption either, unless I'm stressing the GPU heavily with a OpenCL app at the same time. FahBench is a pretty good and easy to test with. http://proteneer.com/fahbench/FAHBench_1_1_2.zip
Comment 165 SpeciesX 2013-06-12 07:09:01 PDT
I get the corruption without stressing the GPU.

http://abload.de/img/1d1xjb.png
Comment 166 timbugzilla 2013-07-19 02:20:03 PDT
I am seeing this with an AMD 7790 GPU (GCN architecture v1.1) with the 13.4 drivers on Win8 64bit.
Comment 167 annaeus 2013-07-19 05:08:59 PDT
Me as well Windows 8 64bit, 13.4 drivers and AMD Radeon HD 5770.
Comment 168 wojtekka 2013-07-22 16:59:01 PDT
Finally! AMD fixed it. I can confirm that with the http://www2.ati.com/drivers/beta/AMD_Catalyst_Win8.1_Release_Preview_V2-13.15.100.1.exe drivers black squares corruption is gone.
Comment 169 mozzar 2013-07-22 22:57:04 PDT
Something known regarding Win7 ?
Comment 170 dgjunk 2013-07-23 01:48:52 PDT
Seems that driver is the OpenGl 4.3 beta driver that should work with Win7 too. I'll test and see if it fixes it for me. http://support.amd.com/us/kbarticles/Pages/AMDCatalystOpenGL43BetaDriver.aspx
Comment 171 Robert Pendell 2013-07-23 01:51:36 PDT
(In reply to dgjunk from comment #170)
> Seems that driver is the OpenGl 4.3 beta driver that should work with Win7
> too. I'll test and see if it fixes it for me.
> http://support.amd.com/us/kbarticles/Pages/AMDCatalystOpenGL43BetaDriver.aspx

Thanks for the heads up.  I'm gonna give this a go using that link.  I have Windows 8 but it looks like the download is for the Windows 8.1 preview anyways.
Comment 172 Robert Pendell 2013-07-23 02:25:17 PDT
Just tested and it did not resolve the problem for me.  My test site (facebook.com) still reproduces the issue on the side bar.
Comment 173 dgjunk 2013-07-23 04:02:17 PDT
It might have reduced the ammount of corruption a bit, but it still (sometimes) appears with Folding@Home + heavy duty browsing.
Comment 174 Frank Freibuth 2013-07-25 02:56:26 PDT
Actually, the new OpenGL 4.2 Beta drivers made things a whole lot worse for me. Instead of the occasional black square, I'm getting completely black tabs and stretched and misplaced textures after extended usage - restarting Firefox fixes this but corruption occurs again after extended usage of Firefox in parallel to games and other GPU intensive application.

Previously only the occasional and easy to ignore squares appeared, now Firefox is essentially rendered unusable after a while.
Comment 175 Gary [:streetwolf] 2013-08-09 12:47:43 PDT
Is this issue going to be looked into at all?  In addition to some Chrome corruption, mostly on the Navigation and Bookmark Toolbar, I'm now getting those black squares, really gray in my case.  Not very often for both problems.  Disabling Azure does fix the problem.


Graphics
--------

Adapter Description: AMD Radeon HD 7900 Series
Adapter Drivers: aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64
Adapter RAM: 3072
Device ID: 0x6798
Direct2D Enabled: true
DirectWrite Enabled: true (6.2.9200.16581)
Driver Date: 3-28-2013
Driver Version: 12.104.0.0
GPU #2 Active: false
GPU Accelerated Windows: 1/1 Direct3D 10
Vendor ID: 0x1002
WebGL Renderer: Google Inc. -- ANGLE (AMD Radeon HD 7900 Series Direct3D9Ex vs_3_0 ps_3_0)
windowLayerManagerRemote: false
AzureCanvasBackend: direct2d
AzureContentBackend: none
AzureFallbackCanvasBackend: cairo
AzureSkiaAccelerated: 0
Comment 176 Avi Halachmi (:avih) 2013-08-15 10:06:24 PDT
Exposed accidentally at bug 900785 comment 40, apparently disabling theme/dwm support fixes this (though very much breaks aero/theme support on win7 and 8).

Bug 900785 patch part 1 is a refactoring (moves dwm API from nsUXThemeData into WinUtils) which shouldn't have functional changes, but due to most probably incorrect init order at the patch, uxThemeData was initialized after WinUtils, therefore can't see/use the DWM API during init (probably later as well, depending on implementation).

Might help at narrowing down the cause for this bug.
Comment 177 Avi Halachmi (:avih) 2013-08-15 10:08:50 PDT
(In reply to Avi Halachmi (:avih) from comment #176)
> ... uxThemeData was initialized
> after WinUtils, therefore can't see/use the DWM API during init (probably
> later as well, depending on implementation).

Ermm.. s/after/before/
Comment 178 Gary [:streetwolf] 2013-08-15 10:24:20 PDT
(In reply to Avi Halachmi (:avih) from comment #176)
> Exposed accidentally at bug 900785 comment 40, apparently disabling
> theme/dwm support fixes this (though very much breaks aero/theme support on
> win7 and 8).
> 
> Bug 900785 patch part 1 is a refactoring (moves dwm API from nsUXThemeData
> into WinUtils) which shouldn't have functional changes, but due to most
> probably incorrect init order at the patch, uxThemeData was initialized
> after WinUtils, therefore can't see/use the DWM API during init (probably
> later as well, depending on implementation).
> 
> Might help at narrowing down the cause for this bug.

A little clarification is needed.  There are two types of corruption; chrome and content.  Seems bug 900785, the way things are ordered at the moment, fixed my chrome corruption.  Still need a little more time to say it's 100% fixed.  The content corruption never happened to me all that much so I really don't know if that part is fixed.  Other folks report a lot more content corruption than I ever had and they would be a better judge as to whether 900785 fixed it.
Comment 179 Leman Bennett [Omega] 2013-08-15 17:22:21 PDT
I think both types of corruption stems from the same source. Firefox renders both Content and Chrome.  

We know that HWA disabled works around it. WE know that something in Bug 900785 fixes it. Based on the evidence(or mistake in init order), I'd say that the interaction with DWM is the cause. The problem with this to me seems that the GFX team is too overloaded to take a look.
Comment 180 Gary [:streetwolf] 2013-08-16 04:50:49 PDT
The patch https://bugzilla.mozilla.org/show_bug.cgi?id=905680 returned the graphic corruption to my system as Avi H. surmised it would.  See Comment 176 for details. 

The regression due to 900785, while screwing up the title bar/caption bar, also managed to fix the corruption. Perhaps a fix can be developed based on this knowledge.
Comment 181 Gary [:streetwolf] 2013-08-16 05:36:10 PDT
I was able to disable Aero under Windows 8 by using a hidden theme called Aerolite. So far no corruption. 

Here's instructions to enable Aerolite: http://www.askvg.com/how-to-enable-hidden-aero-lite-theme-in-windows-8-rtm/
Comment 182 Gary [:streetwolf] 2013-08-16 08:53:08 PDT
A recap as to what fixes the corruption problem. Just one of the following should do the trick.

1. Disable HWA
2. Disable Azure
3. Install Aerolite theme for Windows 8
4. Use the busted patch https://bugzilla.mozilla.org/show_bug.cgi?id=900785 The regression might be a clue in solving the corruption.
Comment 183 Avi Halachmi (:avih) 2013-08-16 09:00:19 PDT
Considering the workarounds on comment 182, and seeing that so far not many dev resources have been pointed towards this issue, maybe we should consider some HWA blacklisting?
Comment 184 Gary [:streetwolf] 2013-08-16 09:20:26 PDT
(In reply to Avi Halachmi (:avih) from comment #183)
> Considering the workarounds on comment 182, and seeing that so far not many
> dev resources have been pointed towards this issue, maybe we should consider
> some HWA blacklisting?

Losing HWA by blacklisting can be worse than the corruption if it's minimal like I experience. No one wants their modern video card blacklisted. Thank goodness this can be overridden if you know how. Knowledgeable folks already know about steps 1 & 2.  I also know of some folks that went over to Chrome because of the corruption.  They didn't want to turn off HWA to fix the problem. It's OK for the short term but it's been about 6 months since this bug report was opened. 

The answer is for Mozilla to at least acknowledge the problem and try and fix it.
Comment 185 Robert Pendell 2013-08-16 10:45:55 PDT
Adding to the disabling HWA some have had success in just disabling Direct2D instead.  As far as I know it leaves some of the HWA stuff active.  Just disables the Direct2D interface point.  That's how I'm handling the issue.
Comment 186 Leman Bennett [Omega] 2013-08-16 13:50:47 PDT
(In reply to Avi Halachmi (:avih) from comment #183)
> Considering the workarounds on comment 182, and seeing that so far not many
> dev resources have been pointed towards this issue, maybe we should consider
> some HWA blacklisting?

Blacklisting means the entire line of AMD video chips. That would surely give Mozilla a black eye on the PR front. "Browser company can't get it right after years of trying" would be plastered everywhere.
Comment 187 Gary [:streetwolf] 2013-08-16 16:01:02 PDT
Unfortunately I don't think this bug report is going to move forward anytime soon. Now if it was a mobile problem it probably would have been fixed months ago.  Desktop users have seemingly become the orphan children of Firefox.
Comment 188 kurtferro 2013-08-16 16:39:24 PDT
gfx.content.azure.enabled;     = false

Disabling this parameter the problem is reduced by 90%, without disabling all hardware acceleration, from this we can deduce that the problem is in custom dll Direct2D made by Mozilla. So either AMD has completely ignored these libraries without testing compatibility with own drivers or Mozilla lovers nvidia and they tests only with geforce drivers.
Comment 189 IU 2013-08-16 17:03:11 PDT
I put my money on the bug being on Mozilla's side.  No other browser has these issues.  It's only Firefox.  But instead of fixing the issues, for years it's been blacklist this driver and blacklist that driver.
Comment 190 Avi Halachmi (:avih) 2013-08-16 17:24:56 PDT
@kurtferro, Generally, the needinfo request flag is cleared only by the person whose attention has been called, or by someone who knows s/he can speak for that person. If you removed it by accident, no problem. If it happens again by accident, then please restore it ASAP next time. Thanks.

Clearly the best solution would be to fix this bug. But since this hasn't happened until now, and the bug still exists, we should consider some options. One of those would be to put resources into investigating it more, one would be to consider some form of blacklisting, one could be to still do nothing about it, one would be to publish some knowledge base article, etc.

Which path is taken depends on resources which can be put into this, how many users are affected by it, what's the consequence of any of the paths which can be chosen, etc.

We should take the best decision we can on this, as much as Mozilla's resources and priorities allow.
Comment 191 kurtferro 2013-08-16 17:43:57 PDT
@Avi, Yes i must hit it accidentaly, really i don't know what it mean^^

Because of this problem, after years of honorable service, firefox is passed as secondary browser, I have no problem with chrome, do not know whose fault it was, if the legendary slowness of AMD to resolve problems in own driver, or if the indifference of Mozilla to us. (amd users)
Comment 192 timbugzilla 2013-08-17 01:11:59 PDT
If blacklisting all modern AMD GPUs is being seriously considered, then Mozilla needs to decide if it wants to support Direct2D.

If they can't commit resources to a quality implementation then perhaps they should support Skia's Direct2D/DirectWrite efforts instead, and use Skia on Windows.
Comment 193 Avi Halachmi (:avih) 2013-08-17 05:34:44 PDT
(In reply to timbugzilla from comment #192)
> If blacklisting all modern AMD GPUs is being seriously considered...

It wasn't.

FWIW, I also have an AMD APU but I haven't seen this bug happening. I was merely calling the attention of someone with a lot of experience to better figure out how to approach this issue... and then weekend came.

Please give it few days and I'm sure things will clear out.
Comment 194 Gary [:streetwolf] 2013-08-17 07:14:45 PDT
AMD blames Azure based on what they read in the many forums complaining about the problem and here as well, IMO.  I opened up a ticket months ago with AMD and their response was to blame Azure and recommended disabling it. This I believe came solely from the fact that people at Guru3d forum, myself included, stated that disabling Azure fixed the corruption which now doesn't appear to work for everyone.

What it comes down to is neither side has seriously looked into the problem. Mozilla not at all from what I can tell, and AMD based on anecdotal forum information and this bug report. Perhaps there is a "failure to communicate".
Comment 195 Robert O'Callahan (:roc) (email my personal email if necessary) 2013-08-19 21:41:49 PDT
It would be a lot easier for AMD to track this down than for us, because they can see our code but we can't see theirs. But unfortunately I don't expect them to do that.

It looks like the problem is with the setting of alpha values when drawing into a transparent content layer using D2D. Disabling DWM window effects reduces the usage of transparent content layers which makes the bug less significant.

The fact that the bug appears limited to AMD hardware, and comes and goes with driver updates and/or Microsoft D2D updates suggests that it's something in the D2D stack, not Firefox. It remains possible that we're doing something illegal with D2D and getting away with it most of the time. The fact that other browsers don't show the same bug doesn't tell us much; D2D and D3D10 are big APIs so it's not surprising if different browsers exercise different parts of the API.

We won't be able to make much progress here unless we somehow get a machine with reliable steps-to-reproduce into the hands of one of our developers. If anyone's got a machine they don't want, maybe we can make a deal :-). As far as I can tell, we don't yet know how to predict which machines will be affected, right?

Disabling D2D and using D3D9 compositing really isn't that bad. For most Web content D2D is not a clear win. Chrome doesn't use it. D2D is mainly a win for some canvas applications, often demos written by Microsoft :-). Maybe we should have separate blacklists for D2D content rendering vs canvas rendering.

(FWIW we've spent a lot of time wrangling AMD/ATI driver bugs over the years. There's an ongoing. horrific driver bug you can read about here: https://bugzilla.mozilla.org/show_bug.cgi?id=772330#c3.)
Comment 196 Robert O'Callahan (:roc) (email my personal email if necessary) 2013-08-19 21:42:25 PDT
I'll also reach out on mozilla-dev-platform to see if anyone there can help.
Comment 197 timbugzilla 2013-08-20 03:05:18 PDT
There's also the issue of DirectWrite being necessary for (attractive) web font rendering on windows. This seems to be a driving motivation for using D2D with Skia.
Comment 198 Robert O'Callahan (:roc) (email my personal email if necessary) 2013-08-20 16:38:52 PDT
An anonymous contributor says:
> I'd like to point out that it's worth making sure Flash isn't running *at all* during this,
> because AMD's drivers adjust the GPU's core and memory clocks when flash player launches
> (some dumb constraint built into their h264 decoder engine) and that can cause all sorts of
> artifacts, or even crashes. It'd be good to make sure that is ruled out by having people
> disable flash.
Comment 199 Frank Freibuth 2013-08-20 18:08:34 PDT
AMD's separate UVD clocks can cause all kinds of serious problems (probably the most frustratingly stupid and unavoidable of AMD's driver design "quirks") - but they aren't responsible for the artifacts in Firefox.

But in order to rule them out as a cause, disabling Flash HW acceleration should suffice, no reason to disable it entirely. No HW acceleration, no UVD clocks.
Comment 200 Robert Pendell 2013-08-20 18:28:36 PDT
I tested this (HW Accel disabled in Flash) and it made no change for me.  In fact youtube is one of the sites I don't really seem to get the issue on yet Facebook constantly gives it to me in their sidebar.
Comment 201 adam900710 2013-08-29 05:03:44 PDT
Maybe the bug, I'm using Firefox 23.0 64bit with Linux.
Random black blocks appears when browsering Google+ and a few other sites, which is quite annoying.
Also the blocks moves with the scrolling.

They disapppera when firefox lost focus, just the same as the bug described.

But the GPU is the HD4600(haswell) with mesa 9.2.0.

BTW, chromium and other programmes have no such problem.
Comment 202 Loic 2013-08-29 05:18:14 PDT
*** Bug 910656 has been marked as a duplicate of this bug. ***
Comment 203 Robert Pendell 2013-08-30 00:28:21 PDT
(In reply to Robert O'Callahan (:roc) (Mozilla Corporation) from comment #195)
> It would be a lot easier for AMD to track this down than for us, because
> they can see our code but we can't see theirs. But unfortunately I don't
> expect them to do that.
> 
> It looks like the problem is with the setting of alpha values when drawing
> into a transparent content layer using D2D. Disabling DWM window effects
> reduces the usage of transparent content layers which makes the bug less
> significant.
> 
> The fact that the bug appears limited to AMD hardware, and comes and goes
> with driver updates and/or Microsoft D2D updates suggests that it's
> something in the D2D stack, not Firefox. It remains possible that we're
> doing something illegal with D2D and getting away with it most of the time.
> The fact that other browsers don't show the same bug doesn't tell us much;
> D2D and D3D10 are big APIs so it's not surprising if different browsers
> exercise different parts of the API.
> 
> We won't be able to make much progress here unless we somehow get a machine
> with reliable steps-to-reproduce into the hands of one of our developers. If
> anyone's got a machine they don't want, maybe we can make a deal :-). As far
> as I can tell, we don't yet know how to predict which machines will be
> affected, right?
> 
> Disabling D2D and using D3D9 compositing really isn't that bad. For most Web
> content D2D is not a clear win. Chrome doesn't use it. D2D is mainly a win
> for some canvas applications, often demos written by Microsoft :-). Maybe we
> should have separate blacklists for D2D content rendering vs canvas
> rendering.
> 
> (FWIW we've spent a lot of time wrangling AMD/ATI driver bugs over the
> years. There's an ongoing. horrific driver bug you can read about here:
> https://bugzilla.mozilla.org/show_bug.cgi?id=772330#c3.)

In a way this backs my workaround of disabling Direct2D in about:config rather than shutting off HW Acceleration as a whole or attempting to just disable Azure.  The former is overkill and the latter isn't sufficient to resolve it.
Comment 204 Gary [:streetwolf] 2013-09-19 11:56:42 PDT
I've tried every current AMD driver and the problem still exists.  I get chrome corruption but haven't had content corruption in a long time.  I'm currently on Catalyst 13.10 beta 2. 

Isn't there some sort of debugging tool that those affected can install so that when the corruption happens you will have something to go on?  In my case the corruption is not repeatable.  It happens when it happens.
Comment 205 Robert Pendell 2013-09-19 12:01:08 PDT
Since upgrading to Windows 8.1 Pro (yea I know it isn't out quite yet... It is still a legal license though and not technically "pre-release") I've had to use the current 13.10 beta for Windows 8.1 as well.  I do still get repeatable content corruption.

1) Go to facebook.com
2) If not already login to the site
3) If you don't have the live feed on the right click the chat box on the bottom right and click the arrow that points right so it docks on the right side.  This will create the live feed/chat area.  It is separated by a bar.
4) Move the bar that separates the two sections rapidly.  During this you will find that you will get corruption in the docked section but no where else...
Comment 206 Frank Freibuth 2013-09-19 12:13:06 PDT
Windows 8.1 Pro has officially been released via Dreamspark Premium, so it's released for students and educators, not just developers. While not yet general availability, that's a wide release.

I can confirm frequent black squares in Firefox 24.0 on Windows 8.1 with both 13.09 WHQL and 13.10 Beta drivers.

I did a manual update to Firefox 25.0 beta 1 candidate 1 today and have not seen any corruption since. Too early to tell if its fixed, but it looks like something has changed for the better.
Comment 207 Frank Freibuth 2013-09-19 12:32:34 PDT
... never mind. I just got interface and content corruption on Firefox 25.0 beta 1 candidate 1 in Windows 8.1 with Radeon 13.10 beta drivers. Broken as always.
Comment 208 Gary [:streetwolf] 2013-09-19 17:00:09 PDT
I just discovered something interesting regarding the corruption I get in the Chrome. I was using some css code to hide the text on my bookmark toolbar icons. I removed this code and I haven't had any corruption on my bookmarks toolbar or on the navigation bar. When I went back to no text only icons I get the corruption.
Comment 209 Frank McLaughlin 2013-09-19 21:39:53 PDT
I am seeing this on a Lenovo X230 with Intel graphics running Arch Linux.  I started seeing small black rectangles randomly appearing all over the page while scrolling under Firefox 23.  This has gotten significantly worse with Firefox 24.  Disabling hardware acceleration did nothing.  I do, however, notice that scrolling faster seems to cause fewer of the little black boxes to appear than scrolling more slowly.  I just want to point out that the problem, whatever it is, is definitely NOT limited to AMD hardware.  However, some pages (Facebook, for example) seem to cause more problems than others (this page doesn't).  I do not see anything at all like this with any other program.
Comment 210 Loic 2013-09-21 09:33:29 PDT
*** Bug 919098 has been marked as a duplicate of this bug. ***
Comment 211 Frank Freibuth 2013-09-30 22:26:59 PDT
AMD Catalyst 13.10 Beta2 has been released.

Fixes include: Resolves image corruption seen in Autodesk® Inventor® 2014

Does NOT fix corruption in Firefox 25.0 Beta 3.
Comment 212 Verwolk 2013-10-04 20:05:13 PDT
Not sure it is AMD bug, cause there are no artefacts in IE.
Comment 213 hrlod 2013-10-09 10:54:38 PDT
Created attachment 814988 [details]
Complete Site Warped
Comment 214 Robert Pendell 2013-10-12 17:22:41 PDT
An interesting observation I've seen.  While Firefox is running I'm getting a quick flash of corruption at random when switching windows.  This appears to only happen while Firefox is running in the background.  Keep in mind I have gfx.direct2d.disabled set to true which helps to workaround the original issue and I still get it.
Comment 215 Robert O'Callahan (:roc) (email my personal email if necessary) 2013-10-16 03:33:41 PDT
David, this isn't a crash bug, but it's a very tough one, and it might interest you.
Comment 216 Gary [:streetwolf] 2013-10-16 10:25:18 PDT
Please see the following bug report for a possible result of this problem:

https://bugzilla.mozilla.org/show_bug.cgi?id=927410
Comment 217 Gary [:streetwolf] 2013-10-22 13:01:21 PDT
AMD CATS 13.11b3 have been leaked.  So far I haven't seen any video corruption on the chrome as I did with previous versions.  I'm also on Inbound so it's possible that some bug fix there might have 'fixed' the problem.  Below is a link to the new CATS.  You can trust them.  I'm sure they will be on the AMD site soon under the beta section.  It's worth a try for those with more serious corruption than I have. If it was an inbound fix it should make it's way to Nightly by tomorrow unless pulled.

http://www.guru3d.com/files_details/amd_catalyst_13_11_beta3_%2813_250_18_october_7%29_download.html
Comment 218 SpeciesX 2013-10-22 13:34:04 PDT
13.11b3 doesn't fix the problem with the corruption.
Comment 219 Frank Freibuth 2013-10-22 22:16:20 PDT
13.11b3 here, doesn't change anything on beta channel: still experiencing chrome and content corruption.

AMD already said they won't/can't fix this - so it's doubtful that any driver update is going to make this better in any way.
Comment 220 Robert Pendell 2013-10-26 13:41:25 PDT
(In reply to Gary [:streetwolf] from comment #217)
> AMD CATS 13.11b3 have been leaked.  So far I haven't seen any video
> corruption on the chrome as I did with previous versions.  I'm also on
> Inbound so it's possible that some bug fix there might have 'fixed' the
> problem.  Below is a link to the new CATS.  You can trust them.  I'm sure
> they will be on the AMD site soon under the beta section.  It's worth a try
> for those with more serious corruption than I have. If it was an inbound fix
> it should make it's way to Nightly by tomorrow unless pulled.
> 
> http://www.guru3d.com/files_details/
> amd_catalyst_13_11_beta3_%2813_250_18_october_7%29_download.html

Verified but it isn't the nightly that did it.  Tested on 13.11 Beta 6 and issue is cleared on facebook.com for both 12.4 and 10/26/2013 Nightly release.  Can no longer reproduce at all at the moment.  This is with both Azure and Direct2D active.  We will have to wait and see what ends up happening with the next AMD WHQL driver.  For others having the issue please test with 13.11 beta 6.

http://support.amd.com/en-us/kb-articles/Pages/latest-catalyst-windows-beta.aspx

Graphics
Adapter Description	AMD Radeon HD 7970M
Adapter Drivers	aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64
Adapter RAM	2048
Device ID	0x6800
Direct2D Enabled	true
DirectWrite Enabled	true (6.3.9600.16384)
Driver Date	10-24-2013
Driver Version	13.250.18.0
GPU #2 Active	false
GPU Accelerated Windows	1/1 Direct3D 10
Vendor ID	0x1002
WebGL Renderer	Google Inc. -- ANGLE (AMD Radeon HD 7970M Direct3D9Ex vs_3_0 ps_3_0)
windowLayerManagerRemote	false
AzureCanvasBackend	direct2d
AzureContentBackend	direct2d
AzureFallbackCanvasBackend	cairo
Comment 221 Verwolk 2013-10-26 19:37:22 PDT
(In reply to Robert Pendell from comment #220)
For others having the issue please test with 13.11 beta 6.

13.11b6 no issue with ff25 rc3 in twitter for at least an hour.
Comment 222 Ricardo Constantino [:RiCON] 2013-10-26 19:56:07 PDT
No issues here either after installing 13.11b6 and FF27.0a1 (2013-10-26) or FF25 on Facebook or Twitter.
Comment 223 wojtekka 2013-10-27 16:31:48 PDT
I can confirm also 13.11 beta6 fixed issue for me. So it was AMD fault after all?
Comment 224 Robert Pendell 2013-10-28 20:56:22 PDT
Just an FYI.  Beta 7 appears to be fine as well.  There was no driver update in this build when comparing against Beta 6 release.
Comment 225 Robert Pendell 2013-10-28 20:57:48 PDT
Oddly... the date did change on the driver (just noticed)

Graphics
Adapter Description	AMD Radeon HD 7970M
Adapter Drivers	aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64
Adapter RAM	2048
Device ID	0x6800
Direct2D Enabled	true
DirectWrite Enabled	true (6.3.9600.16384)
Driver Date	10-25-2013
Driver Version	13.250.18.0
GPU #2 Active	false
GPU Accelerated Windows	1/1 Direct3D 10
Vendor ID	0x1002
WebGL Renderer	Google Inc. -- ANGLE (AMD Radeon HD 7970M Direct3D9Ex vs_3_0 ps_3_0)
windowLayerManagerRemote	false
AzureCanvasBackend	direct2d
AzureContentBackend	direct2d
AzureFallbackCanvasBackend	cairo
Comment 226 dgjunk 2013-10-28 22:34:56 PDT
My "version" of this issue is still happening on 13.11 b7. That is when running OpenCL app (like FAHBench / Folding@Home on GPU) sometimes the toolbar/tabs graphics get corruption.

But if this update fixed this for other people, my problem might be bit different case.
Comment 227 Robert Pendell 2013-10-28 23:48:37 PDT
Hmm... I don't use those apps so I can't test it personally on my end.  I have been checking for content corruption which is what the bug report was for originally but it was believed that both content and chrome corruption was due to the same cause.  It is possible your bug is caused by a different issue.

P.S. - I went and tried to reproduce it using the FAHBench app you mentioned earlier and was unable to do so.
Comment 228 wojtekka 2013-11-04 13:18:08 PST
So after deeper testing I can finally confirm that AMD drivers 13.11 beta6 and up have fixed this issue for me.
Comment 229 Loic 2013-11-08 09:08:12 PST
I know it's a popular bug report and the issue is going to be fixed, but could we restrict the comments to avoid this stupid spam?
Comment 230 E B 2014-01-20 15:32:01 PST
Official ATi Catalyst 13.12 driver has most definitely *not* fixed this issue. As it is 2014 now, it's fair to conclude that the only solution to this problem is to ditch the affected AMD ATi video cards.
Comment 231 Frank Freibuth 2014-01-21 02:06:25 PST
It has for me, Radeon 7850 here - no more corruption in Firefox since 13.11b6, including the final 13.12 drivers (tested in Beta, Aurora and Nightly).

Only problem I'm still experiencing is UI corruption after resuming from hibernation (transparent title bar, no minimize/maximize/close buttons) but that's a different issue I believe.
Comment 232 Robert Pendell 2014-01-21 07:15:45 PST
I did notice corruption more recently but it also appears to be UI specific.  Only in the menu bars and a little on the far left edge but that has only been noticed on pages with a solid black (defined as bgcolor rather than an image) background.  I do believe it is still a separate issue as I had none of this when I reported the issue to be cleared and it was fine with the current driver built I'm using until the updated releases.
Comment 233 Steve 2014-02-13 10:42:49 PST
I have been fighting this problem for over a year it seems. Also using AMD 7850. 13.12 drivers did not solve the issue and may have made it worse. About ready to dump Firefox and go with Chrome as it doesn't have this issue. It's just SO annoying.
Comment 234 Terence Tan 2014-02-23 14:48:23 PST
Created attachment 8380393 [details]
Similar graphical corruption as seen on Steam

I have been getting the described graphical corruption in Firefox 27.0.1 (on Windows 7, with a Radeon R7 260x and Catalyst 14.1 beta). It's benign; doesn't cause crashes or such.

However, today I saw very similar corruption in Steam. See attachment. This was during a period of heavy disk I/O where Steam stopped responding, and Windows "faded out" the window and offered to kill the process (I declined).

It seems that the Windows "fade out" effect uses alpha blending, and thus is susceptible to the same form of graphical corruption...

(Also of interest: Steam uses DirectText for its rendering. I haven't tried to reproduce this with it disabled.)

This is (of course) not to report a bug in Steam, but to add another data point... and to raise the possibility that it's a defect in Catalyst, not Firefox.
Comment 235 Geoman 2014-03-23 11:55:51 PDT
Created attachment 8395433 [details]
I hate them blocks!

Guys how many millions you get from Google for development?

We have 2014 now - this is unacceptable.
Comment 236 Loic 2014-03-23 12:16:48 PDT
You should read the bug before commenting. The bug is in AMD drivers which is triggered by Firefox.
Comment 237 Justin Miller 2014-04-14 11:47:32 PDT
Created attachment 8406305 [details]
More Big Blocks

This is crazy.  We are on a HP thin client remote onto our terminal server.  We have 30 other thin clients, but this is the only one doing it.  It's also the only one with Windows 7 Embedded.  The rest are XP Embedded.  It goes away as soon as I minimize Firefox, and comes back when I maximize it.  Firefox v28.  IE works fine, but I don't want them using it.  I've seen this bug before, but never through terminal services.
Comment 238 lettermand99@gmail.com 2014-04-28 16:40:54 PDT
I can confirm this bug still exists with Windows 7 x64, Firefox 29 and 28 and AMD Catalyst drivers 14.2 beta, and 14.4 WHQL on a R9 270 video card.   I think this is probably an AMD driver issue.  Am also posting to forums.amd.com
Comment 239 Guy 2014-06-17 16:12:12 PDT
On a brand new Dell PC with Win8.1 AMD Radeon 9 270 (driver 13.152.0.0) and Firefox 30, I get these blocks, especially over the FF History panel.  I haven't yet seen them in other software.
Comment 240 j.mothes 2014-07-06 12:41:30 PDT
I can confirm this using Firefox 31 on Win 8 64 bit with Radeon HD 7850.

driver version: 13.251-131206a-166389C-ATI
2D driver: 8.01.01.1360
Direct3D: 9.14.10.01001
OpenGL: 6.14.10.12618
Comment 241 Guy 2014-07-06 17:27:03 PDT
Further to my post two comments up (#239), on my Dell PC with Win8.1 AMD Radeon 9 270 (driver 13.152.0.0) and Firefox 30, disabling hardware acceleration within Firefox resolves the issue.
Comment 242 Bas Schouten (:bas.schouten) 2014-07-07 05:35:59 PDT
(In reply to Justin Miller from comment #237)
> Created attachment 8406305 [details]
> More Big Blocks
> 
> This is crazy.  We are on a HP thin client remote onto our terminal server. 
> We have 30 other thin clients, but this is the only one doing it.  It's also
> the only one with Windows 7 Embedded.  The rest are XP Embedded.  It goes
> away as soon as I minimize Firefox, and comes back when I maximize it. 
> Firefox v28.  IE works fine, but I don't want them using it.  I've seen this
> bug before, but never through terminal services.

The blocks in that bug look a lot like buggy drivers or hardware. At this point I'm afraid there's little for us that is actionable. It's a little odd that IE is fine, I don't have an easy explanation for that, but as a work-around you can disable Hardware Acceleration from Tools->Options->Advanced and that should resolve the issue.
Comment 243 Gary [:streetwolf] 2014-09-02 16:58:09 PDT
For a while it seemed the graphic corruption I was getting was resolved either by using a newer AMD graphics driver or perhaps an Fx patch.

Within the past month or so the glitches have returned in a slightly different form.  I used to get the same color blocks over my chrome.  Things like the Navigation Bar, Bookmarks Bar etc. Never in the content though.  The color of these blocks was always the color of my caption bar as set in my OS.  Now the color is always black.  

I also began getting missing items on certain sites I visit. It seems to be limited to a select number of sites.  I also get colored geometric shapes at times on some sites.

Things to point out.

1. None of these glitches happen if I disable OMTC.  I am currently running with OMTC turned off.

2. Scrolling or resizing the window will clear up any of the aforementioned problems.

3. Problems are intermittent.  I can't consistently go to a site and expect to see glitches.

4. No similar problems in IE11, other apps, and Windows 8.1 in general.

5. No overclocking of CPU or GPU.

Is there any active work being done on these problems or is it consigned to the bit bucket? The workarounds IMO takes a way from performance and function of Fx.  


Name: Firefox
Version: 35.0a1
User Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:35.0) Gecko/20100101 Firefox/35.0
Multiprocess Windows: 0/1

Graphics
--------

Adapter Description: AMD Radeon HD 7900 Series
Adapter Drivers: aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64
Adapter RAM: 3072
ClearType Parameters: D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 50 ] D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 50 ]
Device ID: 0x6798
Direct2D Enabled: true
DirectWrite Enabled: true (6.3.9600.17111)
Driver Date: 8-12-2014
Driver Version: 14.201.1008.0
GPU #2 Active: false
GPU Accelerated Windows: 1/1 Direct3D 10  
Subsys ID: 00000000
Vendor ID: 0x1002
WebGL Renderer: Google Inc. -- ANGLE (AMD Radeon HD 7900 Series Direct3D9Ex vs_3_0 ps_3_0)
windowLayerManagerRemote: false
AzureCanvasBackend: direct2d
AzureContentBackend: direct2d
AzureFallbackCanvasBackend: cairo
AzureSkiaAccelerated: 0
Comment 244 Gary [:streetwolf] 2014-09-03 08:18:40 PDT
I was wrong on one point.  The black does affect the content.  I just turned on OMTC and found this out.
Comment 245 Robert Pendell 2014-10-25 16:26:06 PDT
Ok.  So I've been using 33.0 with AMD Beta 13.9.1 and I'm seeing corruption on some sites.  One site in particular is boardgame-online.com which seems to be giving both content and chrome corruption.  This happens even with hardware acceleration disabled.

The issue is not yet readily reproducible.
Comment 246 Robert Pendell 2014-10-25 16:29:36 PDT
On that note I was using Google Chrome as a comparison point but I just found out that WebGL support is disabled and Chrome's own chrome://gpu/ page indicated GPU support was completely disabled.  I had to force enable it.
Comment 247 zigboom 2014-11-24 00:55:15 PST
I had the same problem on recent Nightly for a couple of weeks. 
Terrible corruptions related to Facebook.

Anyway, I just managed to fix it ! 

Since the problem is on Nightly only (I use the 64bit version), not on default Firefox, I looked for different settings in graphics (about:support). I figured out a difference in two settings, went to about:config & changed the following: 

gfx.canvas.azure.backends;direct2d1.1,direct2d,skia,cairo
gfx.content.azure.backends;direct2d1.1,direct2d,cairo

to:

gfx.canvas.azure.backends;direct2d,skia,cairo
gfx.content.azure.backends;direct2d,cairo

Restarted Nightly & the problem is gone !
Comment 248 shogerr 2015-07-24 15:54:01 PDT
I like how nobody works this bug even though it has been in the ff build for more than a year now, and there are MULTIPLE bug reports about this issue. Stop adding money making features like pocket and chat and fix the core issues, before the user-base is totally gone.
Comment 249 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2015-07-24 16:26:23 PDT
(In reply to shogerr from comment #248)
> I like how nobody works this bug even though it has been in the ff build for
> more than a year now, and there are MULTIPLE bug reports about this issue.
> Stop adding money making features like pocket and chat and fix the core
> issues, before the user-base is totally gone.

The intermittent nature of this bug makes it really difficult for us to debug. Before we can contemplate a fix we need to find the root cause which requires finding the regression window which requires having a reproducible test case. Since we can't reproduce this internally we need people like you to help narrow this down.

Does the workaround in comment 247 work for you? If so this could be related to our D2D1.1 implementation.
Comment 250 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2015-07-24 16:33:19 PDT
Updating the summary of this bug report to more accurately reflect the current known state.
Comment 251 Loic 2015-07-24 19:58:16 PDT
AFAIK, the "conclusion" was about some bad AMD drivers.
Comment 252 Robert Pendell 2015-07-26 18:31:37 PDT
(In reply to Anthony Hughes, QA Mentor (:ashughes) from comment #249)
> (In reply to shogerr from comment #248)
> > I like how nobody works this bug even though it has been in the ff build for
> > more than a year now, and there are MULTIPLE bug reports about this issue.
> > Stop adding money making features like pocket and chat and fix the core
> > issues, before the user-base is totally gone.
> 
> The intermittent nature of this bug makes it really difficult for us to
> debug. Before we can contemplate a fix we need to find the root cause which
> requires finding the regression window which requires having a reproducible
> test case. Since we can't reproduce this internally we need people like you
> to help narrow this down.
> 
> Does the workaround in comment 247 work for you? If so this could be related
> to our D2D1.1 implementation.

This bug report was happening in 2013 and direct2d1.1 wasn't active in those builds unless they had just identified themselves as direct2d (see early messages in this report).  The only fixes that worked for me where the following.

a) Set gfx.direct2d.disabled to true
b) Disable hardware acceleration.

Issue has been present on ALL AMD drivers since 12.10.  Regression doesn't seem to be a factor since going to older builds showed the issue as well.

It was also shown that going to other adapters (Intel or nVidia) that those did not show the issue.

Currently the primary run of adapters having this issue are AMD 7xxx on both the desktop and mobile lines.
Comment 253 Milan Sreckovic [:milan] 2015-08-11 10:34:03 PDT
Comment 247 and comment 252 are interesting in that the former one suggests there is a problem with D2D1.1, but not with D2D1, the later one shows the issue with D2D1 as well.
Comment 254 Jan Henning [:JanH] 2015-08-12 05:59:44 PDT
Many, many moons ago (slightly over two years, after switching to a new computer) I remember experiencing this myself. In the end, this resulted in me simply turning off HWA. At some point I remember (unfortunately not when) trying to turn HWA back on, but I still experienced corruption, so I had to turn it back off.
Now recently I decided to give it another go, so I've reset all related about:config settings. I've now been using full HWA for about two weeks, and haven't experienced any corruption issues any more, so at least for my particular system configuration [1], it seems to have been fixed.

Using mozregression, I've actually been able to pinpoint a possible fix: On affected Firefox builds, visiting www.spiegel.de and scrolling around causes those infamous squares to appear, although in my case they're blue, corresponding to the background colour of the page (note: background colour might change in the future depending on ads). In the end, I got the following range:

https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=2a03b34c8953&tochange=cf89b5d018f8

Bug 938395 and bug 945079 seem likely candidates for this improvement. Running mozregression on Aurora confirms this, as the "regression" range there is this one: https://hg.mozilla.org/releases/mozilla-aurora/pushloghtml?fromchange=745d64845c17&tochange=8182fa6b12e2, which again contains the patches from those two bugs.


[1] Windows 7 64-bit, AMD Radeon HD 7850, Catalyst 13.4
Comment 255 ekerazha 2016-05-07 01:29:20 PDT
I've the same issue with an Intel HD 530 (latest drivers already installed), so it's not an AMD-only issue.
Comment 256 ekerazha 2016-06-05 03:03:01 PDT
Disabling "offmainthreadcomposition" seems to workaround the issue.
Comment 257 Milan Sreckovic [:milan] 2016-06-30 10:38:27 PDT
What happens with the latest AMD drivers (16.6.2)?
Comment 258 Kyle_the_hacker 2016-07-13 16:03:32 PDT
(In reply to Milan Sreckovic [:milan] from comment #257)
> What happens with the latest AMD drivers (16.6.2)?

No changes. Bug still there.
Comment 259 Kyle_the_hacker 2016-07-17 07:22:22 PDT
(In reply to zigboom from comment #247)
> I had the same problem on recent Nightly for a couple of weeks. 
> Terrible corruptions related to Facebook.
> 
> Anyway, I just managed to fix it ! 
> 
> Since the problem is on Nightly only (I use the 64bit version), not on
> default Firefox, I looked for different settings in graphics
> (about:support). I figured out a difference in two settings, went to
> about:config & changed the following: 
> 
> gfx.canvas.azure.backends;direct2d1.1,direct2d,skia,cairo
> gfx.content.azure.backends;direct2d1.1,direct2d,cairo
> 
> to:
> 
> gfx.canvas.azure.backends;direct2d,skia,cairo
> gfx.content.azure.backends;direct2d,cairo
> 
> Restarted Nightly & the problem is gone !

I confirm the fix: not using direct2d1.1 solves all the problems I had on daily basis.
The implementation of direct2d1.1 in Firefox should be checked!
Comment 260 Milan Sreckovic [:milan] 2016-07-20 07:57:06 PDT
(In reply to Kyle_the_hacker from comment #259)
> ...
> > 
> > gfx.canvas.azure.backends;direct2d1.1,direct2d,skia,cairo
> > gfx.content.azure.backends;direct2d1.1,direct2d,cairo
> > 
> > to:
> > 
> > gfx.canvas.azure.backends;direct2d,skia,cairo
> > gfx.content.azure.backends;direct2d,cairo
> > 
> > Restarted Nightly & the problem is gone !
> 
> I confirm the fix: not using direct2d1.1 solves all the problems I had on
> daily basis.
> The implementation of direct2d1.1 in Firefox should be checked!

At this point, Direct2D is disabled in Firefox, which means that setting the above would just turn off acceleration (e.g., you'd get skia+cairo, rather than D2D+D2D.)

What does your about:support look like with this change?
Comment 261 Kyle_the_hacker 2016-08-09 14:37:42 PDT
(In reply to Milan Sreckovic [:milan] from comment #260)
> (In reply to Kyle_the_hacker from comment #259)
> > ...
> > > 
> > > gfx.canvas.azure.backends;direct2d1.1,direct2d,skia,cairo
> > > gfx.content.azure.backends;direct2d1.1,direct2d,cairo
> > > 
> > > to:
> > > 
> > > gfx.canvas.azure.backends;direct2d,skia,cairo
> > > gfx.content.azure.backends;direct2d,cairo
> > > 
> > > Restarted Nightly & the problem is gone !
> > 
> > I confirm the fix: not using direct2d1.1 solves all the problems I had on
> > daily basis.
> > The implementation of direct2d1.1 in Firefox should be checked!
> 
> At this point, Direct2D is disabled in Firefox, which means that setting the
> above would just turn off acceleration (e.g., you'd get skia+cairo, rather
> than D2D+D2D.)
> 
> What does your about:support look like with this change?

{
  "application": {
    "name": "Firefox",
    "osVersion": "Windows_NT 10.0",
    "version": "49.0a2",
    "buildID": "20160717004010",
    "userAgent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:49.0) Gecko/20100101 Firefox/49.0",
    "safeMode": false,
    "updateChannel": "aurora",
    "supportURL": "https://support.mozilla.org/1/firefox/49.0a2/WINNT/fr/",
    "numTotalWindows": 1,
    "numRemoteWindows": 0,
    "remoteAutoStart": false,
    "autoStartStatus": 2
  },
  "modifiedPreferences": {
    "accessibility.typeaheadfind.flashBar": 0,
    "browser.cache.disk.smart_size.first_run": false,
    "browser.cache.disk.hashstats_reported": 1,
    "browser.cache.disk.filesystem_reported": 1,
    "browser.cache.disk.capacity": 32768,
    "browser.cache.frecency_experiment": 3,
    "browser.cache.disk.smart_size.use_old_max": false,
    "browser.cache.disk.smart_size_cached_value": 1048576,
    "browser.cache.disk.smart_size.enabled": false,
    "browser.download.importedFromSqlite": true,
    "browser.download.manager.alertOnEXEOpen": true,
    "browser.download.manager.showAlertOnComplete": false,
    "browser.download.manager.showWhenStarting": false,
    "browser.places.smartBookmarksVersion": 8,
    "browser.sessionstore.upgradeBackup.latestBuildID": "20160717004010",
    "browser.startup.homepage_override.mstone": "49.0a2",
    "browser.startup.homepage_override.buildID": "20160717004010",
    "browser.tabs.warnOnClose": false,
    "browser.tabs.onTop": true,
    "browser.tabs.remote.autostart.2": false,
    "browser.urlbar.suggest.searches": true,
    "browser.urlbar.maxRichResults": 12,
    "browser.urlbar.userMadeSearchSuggestionsChoice": true,
    "dom.apps.lastUpdate.buildID": "20160717004010",
    "dom.push.userAgentID": "a03f9897a8ed429c95a9a215697b4756",
    "dom.event.clipboardevents.enabled": false,
    "dom.apps.lastUpdate.mstone": "49.0a2",
    "dom.apps.reset-permissions": true,
    "dom.w3c_touch_events.expose": false,
    "dom.mozApps.used": true,
    "extensions.lastAppVersion": "49.0a2",
    "font.name.serif.x-western": "Cambria",
    "font.internaluseonly.changed": true,
    "gfx.crash-guard.status.": 2,
    "gfx.crash-guard.glcontext.gfx.driver-init.webgl-angle-force-d3d11": false,
    "gfx.color_management.mode": 1,
    "gfx.crash-guard.d3d11layers.appVersion": "49.0a2",
    "gfx.driver-init.appVersion": "42.0a2",
    "gfx.canvas.azure.backends": "direct2d,skia,cairo",
    "gfx.crash-guard.glcontext.gfx.driver-init.webgl-angle-try-d3d11": true,
    "gfx.crash-guard.glcontext.gfx.driver-init.direct3d11-angle": true,
    "gfx.crash-guard.d3d11layers.driverVersion": "16.200.1035.1001",
    "gfx.direct3d.prefer_10_1": true,
    "gfx.crash-guard.d3d11layers.deviceID": "0x6818",
    "gfx.color_management.display_profile": "C:\\Windows\\System32\\spool\\drivers\\color\\AdobeRGB1998.icc",
    "gfx.content.azure.backends": "direct2d,cairo",
    "gfx.driver-init.deviceID": "0x6818",
    "gfx.driver-init.driverVersion": "15.200.1046.0",
    "gfx.driver-init.status": 2,
    "gfx.crash-guard.glcontext.gfx.driver-init.webgl-angle": true,
    "gfx.crash-guard.d3d11layers.feature-d3d11": true,
    "gfx.crash-guard.status.d3d11video": 2,
    "gfx.crash-guard.status.glcontext": 2,
    "gfx.crash-guard.d3d11layers.feature-d2d": true,
    "gfx.color_management.enablev4": true,
    "gfx.crash-guard.status.d3d11layers": 2,
    "gfx.driver-init.feature-d3d11": true,
    "gfx.crash-guard.glcontext.gfx.driver-init.webgl-angle-force-warp": false,
    "gfx.driver-init.feature-d2d": true,
    "gfx.direct3d.last_used_feature_level_idx": 0,
    "gfx.crash-guard.status.d3d9video": 2,
    "media.gmp-eme-adobe.lastUpdate": 1468577998,
    "media.webrtc.debug.aec_log_dir": "C:\\Users\\NAME\\AppData\\Local\\Temp/",
    "media.webrtc.debug.log_file": "C:\\Users\\NAME\\AppData\\Local\\Temp/WebRTC.log",
    "media.gmp-widevinecdm.lastUpdate": 1468577998,
    "media.gmp-gmpopenh264.lastUpdate": 1468577992,
    "media.gmp-eme-adobe.abi": "x86_64-msvc-x64",
    "media.hardware-video-decoding.failed": false,
    "media.gmp-widevinecdm.abi": "x86_64-msvc-x64",
    "media.gmp-gmpopenh264.version": "1.5.3",
    "media.gmp-gmpopenh264.path": "C:\\Users\\NAME\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\g8mu8jiy.default\\gmp-gmpopenh264",
    "media.gmp-manager.lastCheck": 1470776631,
    "media.mediasource.webm.enabled": true,
    "media.gmp-widevinecdm.version": "1.4.8.866",
    "media.gmp-eme-adobe.version": "17",
    "media.gmp.storage.version.observed": 1,
    "media.gmp-gmpopenh264.abi": "x86_64-msvc-x64",
    "media.gmp-manager.buildID": "20160717004010",
    "media.mediasource.ignore_codecs": true,
    "network.http.pipelining": true,
    "network.predictor.cleaned-up": true,
    "network.http.pipelining.ssl": true,
    "network.http.proxy.pipelining": true,
    "network.cookie.prefsMigrated": true,
    "places.history.expiration.transient_current_max_pages": 104858,
    "places.database.lastMaintenance": 1470777887,
    "plugin.importedState": true,
    "plugin.disable_full_page_plugin_for_types": "",
    "plugin.state.nppdf": 2,
    "plugin.state.npdeployjava": 0,
    "plugin.state.npuplaypc": 0,
    "privacy.sanitize.migrateClearSavedPwdsOnExit": true,
    "privacy.sanitize.migrateFx3Prefs": true,
    "services.sync.declinedEngines": "",
    "services.sync.lastPing": 1470776594,
    "services.sync.lastSync": "Tue Aug 09 2016 23:29:39 GMT+0200",
    "services.sync.numClients": 3,
    "services.sync.engine.greasemonkey": true,
    "services.sync.engine.prefs.modified": false,
    "storage.vacuum.last.index": 0,
    "storage.vacuum.last.places.sqlite": 1470777884,
    "ui.osk.debug.keyboardDisplayReason": "IKPOS: Touch screen not found."
  },
  "lockedPreferences": {},
  "javaScript": {
    "incrementalGCEnabled": true
  },
  "accessibility": {
    "isActive": false,
    "forceDisabled": 0
  },
  "libraryVersions": {
    "NSPR": {
      "minVersion": "4.12",
      "version": "4.12"
    },
    "NSS": {
      "minVersion": "3.25",
      "version": "3.25"
    },
    "NSSUTIL": {
      "minVersion": "3.25",
      "version": "3.25"
    },
    "NSSSSL": {
      "minVersion": "3.25",
      "version": "3.25"
    },
    "NSSSMIME": {
      "minVersion": "3.25",
      "version": "3.25"
    }
  },
  "userJS": {
    "exists": false
  },
  "crashes": {
    "submitted": [],
    "pending": 0
  },
  "extensions": [
    {
      "name": "Add-on Compatibility Reporter",
      "version": "2.1.1",
      "isActive": true,
      "id": "compatibility@addons.mozilla.org"
    },
    {
      "name": "Firefox Hello",
      "version": "1.4.3",
      "isActive": true,
      "id": "loop@mozilla.org"
    },
    {
      "name": "Multi-process staged rollout",
      "version": "1.0",
      "isActive": true,
      "id": "e10srollout@mozilla.org"
    },
    {
      "name": "Pocket",
      "version": "1.0.4",
      "isActive": true,
      "id": "firefox@getpocket.com"
    }
  ],
  "experiments": [],
  "graphics": {
    "numTotalWindows": 1,
    "numAcceleratedWindows": 1,
    "windowLayerManagerType": "Direct3D 11",
    "windowLayerManagerRemote": true,
    "supportsHardwareH264": "Yes; Using D3D11 API",
    "adapterDescription": "AMD Radeon HD 7800 Series",
    "adapterVendorID": "0x1002",
    "adapterDeviceID": "0x6818",
    "adapterSubsysID": "00000000",
    "adapterRAM": "2048",
    "adapterDrivers": "aticfx64 aticfx64 aticfx64 amdxc64 aticfx32 aticfx32 aticfx32 amdxc32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64",
    "driverVersion": "16.200.1035.1001",
    "driverDate": "7-8-2016",
    "adapterDescription2": "",
    "adapterVendorID2": "",
    "adapterDeviceID2": "",
    "adapterSubsysID2": "",
    "adapterRAM2": "",
    "adapterDrivers2": "",
    "driverVersion2": "",
    "driverDate2": "",
    "isGPU2Active": false,
    "direct2DEnabled": false,
    "directWriteEnabled": true,
    "directWriteVersion": "10.0.10586.494",
    "clearTypeParameters": "Gamma: 1800 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 100 ",
    "direct2DEnabledMessage": [
      ""
    ],
    "webglRenderer": "Google Inc. -- ANGLE (AMD Radeon HD 7800 Series Direct3D11 vs_5_0 ps_5_0)",
    "info": {
      "AzureCanvasBackend": "cairo",
      "AzureCanvasAccelerated": 0,
      "AzureFallbackCanvasBackend": "none",
      "AzureContentBackend": "cairo"
    },
    "featureLog": {
      "features": [
        {
          "name": "HW_COMPOSITING",
          "description": "Compositing",
          "status": "available",
          "log": [
            {
              "type": "default",
              "status": "available"
            }
          ]
        },
        {
          "name": "D3D11_COMPOSITING",
          "description": "Direct3D11 Compositing",
          "status": "available",
          "log": [
            {
              "type": "default",
              "status": "available"
            }
          ]
        },
        {
          "name": "D3D9_COMPOSITING",
          "description": "Direct3D9 Compositing",
          "status": "available",
          "log": [
            {
              "type": "default",
              "status": "available"
            }
          ]
        },
        {
          "name": "DIRECT2D",
          "description": "Direct2D",
          "status": "available",
          "log": [
            {
              "type": "default",
              "status": "available"
            }
          ]
        },
        {
          "name": "D3D11_HW_ANGLE",
          "description": "Direct3D11 hardware ANGLE",
          "status": "available",
          "log": [
            {
              "type": "default",
              "status": "available"
            }
          ]
        }
      ],
      "fallbacks": []
    },
    "crashGuards": []
  }
}
Comment 262 Age Bosma 2016-09-28 08:24:13 PDT
I can confirm that the issue is not limited to just AMD video cards. I have no problems reproducing the issue on my laptop with just an Intel HD 520 card.

OS: Windows 10 Home (x64)
Firefox: 49.0.1
Video card: Intel HD Graphics 520 (driver 20.19.15.4390)

Let me know if you need any more information.
Comment 263 shogerr 2016-09-28 18:37:46 PDT
The solution for this bug is to switch to another browser. Firefox will never fix this and has made FF unusable for those that... what.. use a graphics card? not even sure. Abandon this project ASAP.

Note You need to log in before you can comment on or make changes to this bug.